import React from 'react';
import { Dispatch } from 'redux';
import { ErrorComponent } from '../../types';
import './styles/style.scss';
export interface TableContentProps {
    paginationMode?: string;
    errorComponent?: ErrorComponent;
    isDemonstration?: boolean;
}
declare class TableContent extends React.Component<TableContentProps & StateToProps & DispatchProps, {}> {
    state: {
        filter: {
            key: string;
            value: string;
            obj: string;
            type: string;
        };
        selectAll: boolean;
        selection: never[];
    };
    escFunction: (event: any) => void;
    componentDidMount(): void;
    componentWillUnmount(): void;
    loadData: () => void;
    handleKeyFilter: (col: any) => void;
    createFilterObj: () => void;
    handleFilterValueChange: (e: any) => void;
    handleSelect: (e: any) => void;
    toggleSelection: (key: string, shift: boolean, row: any) => void;
    toggleAll: () => void;
    isSelected: (key: any) => any;
    render(): JSX.Element;
}
declare const mapStateToProps: (state: any) => {
    total: any;
    sortBy: any;
    rowsData: any;
    error: any;
    isFetchMore: any;
    isLoading: any;
    sortDirection: any;
    headerProps: import("../reducer").HeaderProps[];
};
declare const mapDispatchProps: (dispatch: Dispatch<import("redux").AnyAction>) => {
    filterData: {
        type: string;
    } & {
        match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
            payload: import("../reducer").Filter;
        };
    } & (<PT extends import("../reducer").Filter>(payload: PT) => import("redux").Action<string> & {
        payload: PT;
    });
    onPageChange: {
        type: string;
    } & {
        match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
            payload: unknown;
        };
    } & {
        (payload?: undefined): import("redux").Action<string> & {
            payload: undefined;
        };
        <PT_1 extends unknown>(payload?: PT_1 | undefined): import("redux").Action<string> & {
            payload: PT_1;
        };
    };
    fetchMoreItems: {
        type: string;
    } & {
        match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
            payload: void | undefined;
        };
    } & {
        (payload?: undefined): import("redux").Action<string> & {
            payload: undefined;
        };
        <PT_2 extends void>(payload?: PT_2 | undefined): import("redux").Action<string> & {
            payload: PT_2;
        };
    };
    setDataSorting: {
        type: string;
    } & {
        match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
            payload: unknown;
        };
    } & {
        (payload?: undefined): import("redux").Action<string> & {
            payload: undefined;
        };
        <PT_1 extends unknown>(payload?: PT_1 | undefined): import("redux").Action<string> & {
            payload: PT_1;
        };
    };
};
declare type DispatchProps = ReturnType<typeof mapDispatchProps>;
declare type StateToProps = ReturnType<typeof mapStateToProps>;
declare const _default: import("react-redux").ConnectedComponent<typeof TableContent, Pick<TableContentProps & {
    total: any;
    sortBy: any;
    rowsData: any;
    error: any;
    isFetchMore: any;
    isLoading: any;
    sortDirection: any;
    headerProps: import("../reducer").HeaderProps[];
} & {
    filterData: {
        type: string;
    } & {
        match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
            payload: import("../reducer").Filter;
        };
    } & (<PT extends import("../reducer").Filter>(payload: PT) => import("redux").Action<string> & {
        payload: PT;
    });
    onPageChange: {
        type: string;
    } & {
        match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
            payload: unknown;
        };
    } & {
        (payload?: undefined): import("redux").Action<string> & {
            payload: undefined;
        };
        <PT_1 extends unknown>(payload?: PT_1 | undefined): import("redux").Action<string> & {
            payload: PT_1;
        };
    };
    fetchMoreItems: {
        type: string;
    } & {
        match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
            payload: void | undefined;
        };
    } & {
        (payload?: undefined): import("redux").Action<string> & {
            payload: undefined;
        };
        <PT_2 extends void>(payload?: PT_2 | undefined): import("redux").Action<string> & {
            payload: PT_2;
        };
    };
    setDataSorting: {
        type: string;
    } & {
        match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
            payload: unknown;
        };
    } & {
        (payload?: undefined): import("redux").Action<string> & {
            payload: undefined;
        };
        <PT_1 extends unknown>(payload?: PT_1 | undefined): import("redux").Action<string> & {
            payload: PT_1;
        };
    };
}, "paginationMode" | "errorComponent" | "isDemonstration"> & TableContentProps>;
export default _default;
//# sourceMappingURL=index.d.ts.map