import React from 'react';
import { Dispatch } from 'redux';
import { PaginationMode, ErrorComponent } from '../types';
import { ContextOptions } from '../../providers/context';
import { AuditsState } from './reducer';
interface AuditsContainerProps {
    context?: ContextOptions;
    hideStatistics?: boolean;
    paginationMode?: PaginationMode;
    errorComponent?: ErrorComponent;
    isDemonstration?: boolean;
    pageSize?: number;
    predefinedFilters?: {
        [key: string]: string;
    };
}
declare class AuditsContainer extends React.Component<AuditsContainerProps & DispatchProps & StateToProps, {}> {
    componentDidMount(): Promise<void>;
    componentDidUpdate(prevProps: AuditsContainerProps & DispatchProps & StateToProps): Promise<void>;
    render(): JSX.Element;
}
declare const mapDispatchProps: (dispatch: Dispatch<import("redux").AnyAction>) => {
    setContext: {
        type: string;
    } & {
        match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
            payload: unknown;
        };
    } & {
        (payload?: undefined): import("redux").Action<string> & {
            payload: undefined;
        };
        <PT extends unknown>(payload?: PT | undefined): import("redux").Action<string> & {
            payload: PT;
        };
    };
    loadAudits: {
        type: string;
    } & {
        match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
            payload: import("./reducer").LoadAudits;
        };
    } & (<PT_1 extends import("./reducer").LoadAudits>(payload: PT_1) => import("redux").Action<string> & {
        payload: PT_1;
    });
    initData: {
        type: string;
    } & {
        match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
            payload: void | undefined;
        };
    } & {
        (payload?: undefined): import("redux").Action<string> & {
            payload: undefined;
        };
        <PT_2 extends void>(payload?: PT_2 | undefined): import("redux").Action<string> & {
            payload: PT_2;
        };
    };
    setFilterData: {
        type: string;
    } & {
        match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
            payload: unknown;
        };
    } & {
        (payload?: undefined): import("redux").Action<string> & {
            payload: undefined;
        };
        <PT extends unknown>(payload?: PT | undefined): import("redux").Action<string> & {
            payload: PT;
        };
    };
    setPredefinedFilters: {
        type: string;
    } & {
        match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
            payload: unknown;
        };
    } & {
        (payload?: undefined): import("redux").Action<string> & {
            payload: undefined;
        };
        <PT extends unknown>(payload?: PT | undefined): import("redux").Action<string> & {
            payload: PT;
        };
    };
};
declare type DispatchProps = ReturnType<typeof mapDispatchProps>;
declare type StateToProps = Pick<AuditsState, 'themeAudits' | 'headerProps' | 'isLoading'> & {
    error?: string;
};
declare const _default: import("react-redux").ConnectedComponent<typeof AuditsContainer, Pick<AuditsContainerProps & {
    setContext: {
        type: string;
    } & {
        match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
            payload: unknown;
        };
    } & {
        (payload?: undefined): import("redux").Action<string> & {
            payload: undefined;
        };
        <PT extends unknown>(payload?: PT | undefined): import("redux").Action<string> & {
            payload: PT;
        };
    };
    loadAudits: {
        type: string;
    } & {
        match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
            payload: import("./reducer").LoadAudits;
        };
    } & (<PT_1 extends import("./reducer").LoadAudits>(payload: PT_1) => import("redux").Action<string> & {
        payload: PT_1;
    });
    initData: {
        type: string;
    } & {
        match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
            payload: void | undefined;
        };
    } & {
        (payload?: undefined): import("redux").Action<string> & {
            payload: undefined;
        };
        <PT_2 extends void>(payload?: PT_2 | undefined): import("redux").Action<string> & {
            payload: PT_2;
        };
    };
    setFilterData: {
        type: string;
    } & {
        match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
            payload: unknown;
        };
    } & {
        (payload?: undefined): import("redux").Action<string> & {
            payload: undefined;
        };
        <PT extends unknown>(payload?: PT | undefined): import("redux").Action<string> & {
            payload: PT;
        };
    };
    setPredefinedFilters: {
        type: string;
    } & {
        match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
            payload: unknown;
        };
    } & {
        (payload?: undefined): import("redux").Action<string> & {
            payload: undefined;
        };
        <PT extends unknown>(payload?: PT | undefined): import("redux").Action<string> & {
            payload: PT;
        };
    };
} & Pick<AuditsState, "isLoading" | "headerProps" | "themeAudits"> & {
    error?: string | undefined;
}, "context" | "predefinedFilters" | "hideStatistics" | "paginationMode" | "errorComponent" | "isDemonstration" | "pageSize"> & AuditsContainerProps>;
export default _default;
//# sourceMappingURL=audits-container.d.ts.map