import { ThemeOptions, ContextOptions } from '../../providers/context';
export interface HeaderProps {
    _id: string;
    name: string;
    type: string;
    sortable: boolean;
    filterable: boolean;
    displayName: string;
    showInTable: boolean;
    showInMoreInfo: string;
    Json?: any;
}
export interface RowsData {
    _id: string;
    ip: string;
    action: string;
    resource: string;
    time: string;
    user: string;
    severity: string;
    vendorId: string;
    tenantId: string;
    createdAt: string;
    updatedAt: string;
    __v: number;
}
export interface Filter {
    key: string;
    value: string;
}
export interface AuditsState {
    total: number;
    error?: {
        metadata?: string;
    };
    offset: number;
    filter: string;
    sortBy: string;
    filters: Filter[];
    context: ContextOptions | null;
    rowsData: RowsData[];
    isLoading: boolean;
    totalToday: number;
    headerProps: HeaderProps[];
    themeAudits?: ThemeOptions;
    currentPage: number;
    isFetchMore: boolean;
    sortDirection: string;
    severeThisWeek: number;
    predefinedFilters: {
        [key: string]: string;
    }[];
}
export declare const initialState: AuditsState;
export declare const defaultItemsPerPage = 20;
declare const reducer: import("redux").Reducer<AuditsState, import("redux").AnyAction>;
export interface LoadAudits {
    count?: number;
    sortBy?: string;
    filter?: string | null;
    offset?: number;
    appendMode?: boolean;
    onlyOneLoad?: boolean;
    sortDirection?: string;
}
export declare const initData: {
    type: string;
} & {
    match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
        payload: void | undefined;
    };
} & {
    (payload?: undefined): import("redux").Action<string> & {
        payload: undefined;
    };
    <PT extends void>(payload?: PT | undefined): import("redux").Action<string> & {
        payload: PT;
    };
};
export declare const loadAudits: {
    type: string;
} & {
    match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
        payload: LoadAudits;
    };
} & (<PT extends LoadAudits>(payload: PT) => import("redux").Action<string> & {
    payload: PT;
});
export declare type LoadAuditsProps = ReturnType<typeof loadAudits>;
export declare const fetchMoreItems: {
    type: string;
} & {
    match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
        payload: void | undefined;
    };
} & {
    (payload?: undefined): import("redux").Action<string> & {
        payload: undefined;
    };
    <PT extends void>(payload?: PT | undefined): import("redux").Action<string> & {
        payload: PT;
    };
};
export declare const removeFilter: {
    type: string;
} & {
    match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
        payload: Filter;
    };
} & (<PT extends Filter>(payload: PT) => import("redux").Action<string> & {
    payload: PT;
});
export declare type RemoveFilterProps = ReturnType<typeof removeFilter>;
export declare const filterData: {
    type: string;
} & {
    match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
        payload: Filter;
    };
} & (<PT extends Filter>(payload: PT) => import("redux").Action<string> & {
    payload: PT;
});
export declare type FilterDataProps = ReturnType<typeof filterData>;
export declare const exportCSV: {
    type: string;
} & {
    match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
        payload: Filter | undefined;
    };
} & {
    (payload?: undefined): import("redux").Action<string> & {
        payload: undefined;
    };
    <PT extends Filter>(payload?: PT | undefined): import("redux").Action<string> & {
        payload: PT;
    };
};
export declare const exportPDF: {
    type: string;
} & {
    match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
        payload: Filter | undefined;
    };
} & {
    (payload?: undefined): import("redux").Action<string> & {
        payload: undefined;
    };
    <PT extends Filter>(payload?: PT | undefined): import("redux").Action<string> & {
        payload: PT;
    };
};
export declare const deleteAudits: {
    type: string;
} & {
    match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
        payload: Filter;
    };
} & (<PT extends Filter>(payload: PT) => import("redux").Action<string> & {
    payload: PT;
});
export { reducer };
export declare const textSearch: {
    type: string;
} & {
    match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
        payload: unknown;
    };
} & {
    (payload?: undefined): import("redux").Action<string> & {
        payload: undefined;
    };
    <PT extends unknown>(payload?: PT | undefined): import("redux").Action<string> & {
        payload: PT;
    };
}, setContext: {
    type: string;
} & {
    match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
        payload: unknown;
    };
} & {
    (payload?: undefined): import("redux").Action<string> & {
        payload: undefined;
    };
    <PT extends unknown>(payload?: PT | undefined): import("redux").Action<string> & {
        payload: PT;
    };
}, onPageChange: {
    type: string;
} & {
    match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
        payload: unknown;
    };
} & {
    (payload?: undefined): import("redux").Action<string> & {
        payload: undefined;
    };
    <PT extends unknown>(payload?: PT | undefined): import("redux").Action<string> & {
        payload: PT;
    };
}, startLoading: {
    type: string;
} & {
    match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
        payload: undefined;
    };
} & (() => import("redux").Action<string> & {
    payload: undefined;
}), startFetching: {
    type: string;
} & {
    match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
        payload: undefined;
    };
} & (() => import("redux").Action<string> & {
    payload: undefined;
}), finishLoading: {
    type: string;
} & {
    match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
        payload: undefined;
    };
} & (() => import("redux").Action<string> & {
    payload: undefined;
}), setFilterData: {
    type: string;
} & {
    match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
        payload: unknown;
    };
} & {
    (payload?: undefined): import("redux").Action<string> & {
        payload: undefined;
    };
    <PT extends unknown>(payload?: PT | undefined): import("redux").Action<string> & {
        payload: PT;
    };
}, startReloading: {
    type: string;
} & {
    match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
        payload: undefined;
    };
} & (() => import("redux").Action<string> & {
    payload: undefined;
}), setDataSorting: {
    type: string;
} & {
    match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
        payload: unknown;
    };
} & {
    (payload?: undefined): import("redux").Action<string> & {
        payload: undefined;
    };
    <PT extends unknown>(payload?: PT | undefined): import("redux").Action<string> & {
        payload: PT;
    };
}, loadStatsSuccess: {
    type: string;
} & {
    match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
        payload: unknown;
    };
} & {
    (payload?: undefined): import("redux").Action<string> & {
        payload: undefined;
    };
    <PT extends unknown>(payload?: PT | undefined): import("redux").Action<string> & {
        payload: PT;
    };
}, loadAuditsSuccess: {
    type: string;
} & {
    match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
        payload: unknown;
    };
} & {
    (payload?: undefined): import("redux").Action<string> & {
        payload: undefined;
    };
    <PT extends unknown>(payload?: PT | undefined): import("redux").Action<string> & {
        payload: PT;
    };
}, setPredefinedFilters: {
    type: string;
} & {
    match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
        payload: unknown;
    };
} & {
    (payload?: undefined): import("redux").Action<string> & {
        payload: undefined;
    };
    <PT extends unknown>(payload?: PT | undefined): import("redux").Action<string> & {
        payload: PT;
    };
}, fetchMoreSuccess: {
    type: string;
} & {
    match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
        payload: unknown;
    };
} & {
    (payload?: undefined): import("redux").Action<string> & {
        payload: undefined;
    };
    <PT extends unknown>(payload?: PT | undefined): import("redux").Action<string> & {
        payload: PT;
    };
}, loadItemFiledAction: {
    type: string;
} & {
    match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
        payload: unknown;
    };
} & {
    (payload?: undefined): import("redux").Action<string> & {
        payload: undefined;
    };
    <PT extends unknown>(payload?: PT | undefined): import("redux").Action<string> & {
        payload: PT;
    };
}, loadMetadataSuccess: {
    type: string;
} & {
    match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
        payload: unknown;
    };
} & {
    (payload?: undefined): import("redux").Action<string> & {
        payload: undefined;
    };
    <PT extends unknown>(payload?: PT | undefined): import("redux").Action<string> & {
        payload: PT;
    };
};
//# sourceMappingURL=reducer.d.ts.map