import { ActivateAccountPayload, ActivateState, AuthProviderProps, AuthState, AuthUrlProps, ForgotPasswordState, LoginPayload, LoginState, LogoutPayload, PreLoginPayload, User, LoginWithMfaPayload, VerifyMfaPayload, MFAState } from './interfaces';
import { ContextOptions } from '../../../providers/context';
export declare type AuthProviderState = Omit<AuthState & AuthProviderProps & AuthUrlProps, 'history' | 'routes'>;
export declare const authInitialState: AuthProviderState;
declare const reducer: import("redux").Reducer<Pick<AuthState & AuthProviderProps & AuthUrlProps, "error" | "isAuthenticated" | "isLoading" | "user" | "isSSOAuth" | "loginState" | "activateState" | "forgetPasswordState" | "mfaState" | "context" | "authenticatedUrl" | "loginUrl" | "logoutUrl" | "activateUrl" | "forgetPasswordUrl" | "resetPasswordUrl">, import("redux").AnyAction>;
declare const actions: {
    requestAuthorize: {
        type: string;
    } & {
        match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
            payload: boolean;
        };
    } & ((payload: boolean) => import("redux").Action<string> & {
        payload: boolean;
    });
    preLogin: {
        type: string;
    } & {
        match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
            payload: PreLoginPayload;
        };
    } & ((payload: PreLoginPayload) => import("redux").Action<string> & {
        payload: PreLoginPayload;
    });
    login: {
        type: string;
    } & {
        match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
            payload: LoginPayload;
        };
    } & ((payload: LoginPayload) => import("redux").Action<string> & {
        payload: LoginPayload;
    });
    loginWithMfa: {
        type: string;
    } & {
        match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
            payload: LoginWithMfaPayload;
        };
    } & ((payload: LoginWithMfaPayload) => import("redux").Action<string> & {
        payload: LoginWithMfaPayload;
    });
    activateAccount: {
        type: string;
    } & {
        match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
            payload: ActivateAccountPayload;
        };
    } & ((payload: ActivateAccountPayload) => import("redux").Action<string> & {
        payload: ActivateAccountPayload;
    });
    forgotPassword: {
        type: string;
    } & {
        match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
            payload: PreLoginPayload;
        };
    } & ((payload: PreLoginPayload) => import("redux").Action<string> & {
        payload: PreLoginPayload;
    });
    resetPassword: {
        type: string;
    } & {
        match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
            payload: ActivateAccountPayload;
        };
    } & ((payload: ActivateAccountPayload) => import("redux").Action<string> & {
        payload: ActivateAccountPayload;
    });
    logout: {
        type: string;
    } & {
        match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
            payload: LogoutPayload;
        };
    } & ((payload: LogoutPayload) => import("redux").Action<string> & {
        payload: LogoutPayload;
    });
    loadMfaQr: {
        type: string;
    } & {
        match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
            payload: any;
        };
    } & ((payload?: any) => import("redux").Action<string> & {
        payload: any;
    });
    verifyMfa: {
        type: string;
    } & {
        match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
            payload: VerifyMfaPayload;
        };
    } & ((payload: VerifyMfaPayload) => import("redux").Action<string> & {
        payload: VerifyMfaPayload;
    });
    disableMfa: {
        type: string;
    } & {
        match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
            payload: VerifyMfaPayload;
        };
    } & ((payload: VerifyMfaPayload) => import("redux").Action<string> & {
        payload: VerifyMfaPayload;
    });
    setContext: {
        type: string;
    } & {
        match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
            payload: ContextOptions;
        };
    } & (<PT extends ContextOptions>(payload: PT) => import("redux").Action<string> & {
        payload: PT;
    });
    setState: {
        type: string;
    } & {
        match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
            payload: Partial<Pick<AuthState & AuthProviderProps & AuthUrlProps, "error" | "isAuthenticated" | "isLoading" | "user" | "isSSOAuth" | "loginState" | "activateState" | "forgetPasswordState" | "mfaState" | "context" | "authenticatedUrl" | "loginUrl" | "logoutUrl" | "activateUrl" | "forgetPasswordUrl" | "resetPasswordUrl">>;
        };
    } & (<PT_1 extends Partial<Pick<AuthState & AuthProviderProps & AuthUrlProps, "error" | "isAuthenticated" | "isLoading" | "user" | "isSSOAuth" | "loginState" | "activateState" | "forgetPasswordState" | "mfaState" | "context" | "authenticatedUrl" | "loginUrl" | "logoutUrl" | "activateUrl" | "forgetPasswordUrl" | "resetPasswordUrl">>>(payload: PT_1) => import("redux").Action<string> & {
        payload: PT_1;
    });
    setIsLoading: {
        type: string;
    } & {
        match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
            payload: boolean;
        };
    } & (<PT_2 extends boolean>(payload: PT_2) => import("redux").Action<string> & {
        payload: PT_2;
    });
    setError: {
        type: string;
    } & {
        match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
            payload: boolean;
        };
    } & (<PT_2 extends boolean>(payload: PT_2) => import("redux").Action<string> & {
        payload: PT_2;
    });
    setIsSSOAuth: {
        type: string;
    } & {
        match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
            payload: boolean;
        };
    } & (<PT_2 extends boolean>(payload: PT_2) => import("redux").Action<string> & {
        payload: PT_2;
    });
    setIsAuthenticated: {
        type: string;
    } & {
        match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
            payload: boolean;
        };
    } & (<PT_2 extends boolean>(payload: PT_2) => import("redux").Action<string> & {
        payload: PT_2;
    });
    setUser: {
        type: string;
    } & {
        match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
            payload: Partial<User>;
        };
    } & ((payload: Partial<User>) => import("redux").Action<string> & {
        payload: Partial<User>;
    });
    setLoginState: {
        type: string;
    } & {
        match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
            payload: Partial<LoginState>;
        };
    } & ((payload: Partial<LoginState>) => import("redux").Action<string> & {
        payload: Partial<LoginState>;
    });
    resetLoginState: {
        type: string;
    } & {
        match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
            payload: undefined;
        };
    } & (() => import("redux").Action<string> & {
        payload: undefined;
    });
    setActivateState: {
        type: string;
    } & {
        match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
            payload: Partial<ActivateState>;
        };
    } & ((payload: Partial<ActivateState>) => import("redux").Action<string> & {
        payload: Partial<ActivateState>;
    });
    resetActivateState: {
        type: string;
    } & {
        match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
            payload: undefined;
        };
    } & (() => import("redux").Action<string> & {
        payload: undefined;
    });
    setForgotPasswordState: {
        type: string;
    } & {
        match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
            payload: Partial<ForgotPasswordState>;
        };
    } & ((payload: Partial<ForgotPasswordState>) => import("redux").Action<string> & {
        payload: Partial<ForgotPasswordState>;
    });
    resetForgotPasswordState: {
        type: string;
    } & {
        match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
            payload: undefined;
        };
    } & (() => import("redux").Action<string> & {
        payload: undefined;
    });
    setMfaState: {
        type: string;
    } & {
        match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
            payload: Partial<MFAState>;
        };
    } & ((payload: Partial<MFAState>) => import("redux").Action<string> & {
        payload: Partial<MFAState>;
    });
    resetMfaState: {
        type: string;
    } & {
        match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
            payload: undefined;
        };
    } & (() => import("redux").Action<string> & {
        payload: undefined;
    });
};
export { reducer, actions };
//# sourceMappingURL=reducer.d.ts.map