import React from 'react';
import { Dispatch } from 'redux';
export declare const sagaState: (state: Pick<import("../Api").AuthState & import("../Api").AuthProviderProps & import("../Api").AuthUrlProps, "error" | "isAuthenticated" | "isLoading" | "user" | "isSSOAuth" | "loginState" | "activateState" | "forgetPasswordState" | "mfaState" | "context" | "authenticatedUrl" | "loginUrl" | "logoutUrl" | "activateUrl" | "forgetPasswordUrl" | "resetPasswordUrl">) => Pick<import("../Api").AuthState & import("../Api").AuthProviderProps & import("../Api").AuthUrlProps, "error" | "isAuthenticated" | "isLoading" | "user" | "isSSOAuth" | "loginState" | "activateState" | "forgetPasswordState" | "mfaState" | "context" | "authenticatedUrl" | "loginUrl" | "logoutUrl" | "activateUrl" | "forgetPasswordUrl" | "resetPasswordUrl">;
export declare const sagaActions: (dispatch: Dispatch<import("redux").AnyAction>) => {
    requestAuthorize: {
        type: string;
    } & {
        match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
            payload: boolean;
        };
    } & ((payload: boolean) => import("redux").Action<string> & {
        payload: boolean;
    });
    preLogin: {
        type: string;
    } & {
        match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
            payload: import("../Api").PreLoginPayload;
        };
    } & ((payload: import("../Api").PreLoginPayload) => import("redux").Action<string> & {
        payload: import("../Api").PreLoginPayload;
    });
    login: {
        type: string;
    } & {
        match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
            payload: import("../Api").LoginPayload;
        };
    } & ((payload: import("../Api").LoginPayload) => import("redux").Action<string> & {
        payload: import("../Api").LoginPayload;
    });
    loginWithMfa: {
        type: string;
    } & {
        match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
            payload: import("../Api").LoginWithMfaPayload;
        };
    } & ((payload: import("../Api").LoginWithMfaPayload) => import("redux").Action<string> & {
        payload: import("../Api").LoginWithMfaPayload;
    });
    activateAccount: {
        type: string;
    } & {
        match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
            payload: import("../Api").ActivateAccountPayload;
        };
    } & ((payload: import("../Api").ActivateAccountPayload) => import("redux").Action<string> & {
        payload: import("../Api").ActivateAccountPayload;
    });
    forgotPassword: {
        type: string;
    } & {
        match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
            payload: import("../Api").PreLoginPayload;
        };
    } & ((payload: import("../Api").PreLoginPayload) => import("redux").Action<string> & {
        payload: import("../Api").PreLoginPayload;
    });
    resetPassword: {
        type: string;
    } & {
        match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
            payload: import("../Api").ActivateAccountPayload;
        };
    } & ((payload: import("../Api").ActivateAccountPayload) => import("redux").Action<string> & {
        payload: import("../Api").ActivateAccountPayload;
    });
    logout: {
        type: string;
    } & {
        match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
            payload: import("../Api").LogoutPayload;
        };
    } & ((payload: import("../Api").LogoutPayload) => import("redux").Action<string> & {
        payload: import("../Api").LogoutPayload;
    });
    loadMfaQr: {
        type: string;
    } & {
        match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
            payload: any;
        };
    } & ((payload?: any) => import("redux").Action<string> & {
        payload: any;
    });
    verifyMfa: {
        type: string;
    } & {
        match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
            payload: import("../Api").VerifyMfaPayload;
        };
    } & ((payload: import("../Api").VerifyMfaPayload) => import("redux").Action<string> & {
        payload: import("../Api").VerifyMfaPayload;
    });
    disableMfa: {
        type: string;
    } & {
        match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
            payload: import("../Api").VerifyMfaPayload;
        };
    } & ((payload: import("../Api").VerifyMfaPayload) => import("redux").Action<string> & {
        payload: import("../Api").VerifyMfaPayload;
    });
    setContext: {
        type: string;
    } & {
        match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
            payload: import("../../../providers/context").ContextOptions;
        };
    } & (<PT extends import("../../../providers/context").ContextOptions>(payload: PT) => import("redux").Action<string> & {
        payload: PT;
    });
    setState: {
        type: string;
    } & {
        match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
            payload: Partial<Pick<import("../Api").AuthState & import("../Api").AuthProviderProps & import("../Api").AuthUrlProps, "error" | "isAuthenticated" | "isLoading" | "user" | "isSSOAuth" | "loginState" | "activateState" | "forgetPasswordState" | "mfaState" | "context" | "authenticatedUrl" | "loginUrl" | "logoutUrl" | "activateUrl" | "forgetPasswordUrl" | "resetPasswordUrl">>;
        };
    } & (<PT_1 extends Partial<Pick<import("../Api").AuthState & import("../Api").AuthProviderProps & import("../Api").AuthUrlProps, "error" | "isAuthenticated" | "isLoading" | "user" | "isSSOAuth" | "loginState" | "activateState" | "forgetPasswordState" | "mfaState" | "context" | "authenticatedUrl" | "loginUrl" | "logoutUrl" | "activateUrl" | "forgetPasswordUrl" | "resetPasswordUrl">>>(payload: PT_1) => import("redux").Action<string> & {
        payload: PT_1;
    });
    setIsLoading: {
        type: string;
    } & {
        match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
            payload: boolean;
        };
    } & (<PT_2 extends boolean>(payload: PT_2) => import("redux").Action<string> & {
        payload: PT_2;
    });
    setError: {
        type: string;
    } & {
        match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
            payload: boolean;
        };
    } & (<PT_2 extends boolean>(payload: PT_2) => import("redux").Action<string> & {
        payload: PT_2;
    });
    setIsSSOAuth: {
        type: string;
    } & {
        match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
            payload: boolean;
        };
    } & (<PT_2 extends boolean>(payload: PT_2) => import("redux").Action<string> & {
        payload: PT_2;
    });
    setIsAuthenticated: {
        type: string;
    } & {
        match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
            payload: boolean;
        };
    } & (<PT_2 extends boolean>(payload: PT_2) => import("redux").Action<string> & {
        payload: PT_2;
    });
    setUser: {
        type: string;
    } & {
        match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
            payload: Partial<import("../Api").User>;
        };
    } & ((payload: Partial<import("../Api").User>) => import("redux").Action<string> & {
        payload: Partial<import("../Api").User>;
    });
    setLoginState: {
        type: string;
    } & {
        match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
            payload: Partial<import("../Api").LoginState>;
        };
    } & ((payload: Partial<import("../Api").LoginState>) => import("redux").Action<string> & {
        payload: Partial<import("../Api").LoginState>;
    });
    resetLoginState: {
        type: string;
    } & {
        match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
            payload: undefined;
        };
    } & (() => import("redux").Action<string> & {
        payload: undefined;
    });
    setActivateState: {
        type: string;
    } & {
        match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
            payload: Partial<import("../Api").ActivateState>;
        };
    } & ((payload: Partial<import("../Api").ActivateState>) => import("redux").Action<string> & {
        payload: Partial<import("../Api").ActivateState>;
    });
    resetActivateState: {
        type: string;
    } & {
        match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
            payload: undefined;
        };
    } & (() => import("redux").Action<string> & {
        payload: undefined;
    });
    setForgotPasswordState: {
        type: string;
    } & {
        match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
            payload: Partial<import("../Api").ForgotPasswordState>;
        };
    } & ((payload: Partial<import("../Api").ForgotPasswordState>) => import("redux").Action<string> & {
        payload: Partial<import("../Api").ForgotPasswordState>;
    });
    resetForgotPasswordState: {
        type: string;
    } & {
        match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
            payload: undefined;
        };
    } & (() => import("redux").Action<string> & {
        payload: undefined;
    });
    setMfaState: {
        type: string;
    } & {
        match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
            payload: Partial<import("../Api").MFAState>;
        };
    } & ((payload: Partial<import("../Api").MFAState>) => import("redux").Action<string> & {
        payload: Partial<import("../Api").MFAState>;
    });
    resetMfaState: {
        type: string;
    } & {
        match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
            payload: undefined;
        };
    } & (() => import("redux").Action<string> & {
        payload: undefined;
    });
};
export declare type RedirectOptions = {
    refresh?: boolean;
    replace?: boolean;
};
export declare type IAuthContext = {
    onRedirectTo: (path: string, opts?: RedirectOptions) => void;
} & ReturnType<typeof sagaActions> & ReturnType<typeof sagaState>;
export declare const AuthContext: React.Context<IAuthContext>;
//# sourceMappingURL=AuthContext.d.ts.map