import React, { ComponentType, ContextType, FC } from 'react';
import { AuthContext, IAuthContext } from './AuthContext';
import { RouteProps } from 'react-router-dom';
export declare const withAuth: <P extends Partial<IAuthContext>>(Component: React.ComponentType<P>) => React.ComponentType<Pick<P, Exclude<keyof P, "error" | "isAuthenticated" | "isLoading" | "user" | "isSSOAuth" | "loginState" | "activateState" | "forgetPasswordState" | "mfaState" | "context" | "authenticatedUrl" | "loginUrl" | "logoutUrl" | "activateUrl" | "forgetPasswordUrl" | "resetPasswordUrl" | "setContext" | "setState" | "setIsLoading" | "setError" | "setIsSSOAuth" | "setIsAuthenticated" | "setUser" | "setLoginState" | "resetLoginState" | "setActivateState" | "resetActivateState" | "setForgotPasswordState" | "resetForgotPasswordState" | "setMfaState" | "resetMfaState" | "onRedirectTo" | "requestAuthorize" | "preLogin" | "login" | "loginWithMfa" | "activateAccount" | "forgotPassword" | "resetPassword" | "logout" | "loadMfaQr" | "verifyMfa" | "disableMfa">>>;
export declare const withProtectedRoute: <P extends {}>(Component: React.ComponentType<P>) => {
    new (props: Readonly<P>): {
        context: IAuthContext | null;
        render(): JSX.Element;
        setState<K extends never>(state: {} | ((prevState: Readonly<{}>, props: Readonly<P>) => {} | Pick<{}, K> | null) | Pick<{}, K> | null, callback?: (() => void) | undefined): void;
        forceUpdate(callback?: (() => void) | undefined): void;
        readonly props: Readonly<P> & Readonly<{
            children?: React.ReactNode;
        }>;
        state: Readonly<{}>;
        refs: {
            [key: string]: React.ReactInstance;
        };
        componentDidMount?(): void;
        shouldComponentUpdate?(nextProps: Readonly<P>, nextState: Readonly<{}>, nextContext: any): boolean;
        componentWillUnmount?(): void;
        componentDidCatch?(error: Error, errorInfo: React.ErrorInfo): void;
        getSnapshotBeforeUpdate?(prevProps: Readonly<P>, prevState: Readonly<{}>): any;
        componentDidUpdate?(prevProps: Readonly<P>, prevState: Readonly<{}>, snapshot?: any): void;
        componentWillMount?(): void;
        UNSAFE_componentWillMount?(): void;
        componentWillReceiveProps?(nextProps: Readonly<P>, nextContext: any): void;
        UNSAFE_componentWillReceiveProps?(nextProps: Readonly<P>, nextContext: any): void;
        componentWillUpdate?(nextProps: Readonly<P>, nextState: Readonly<{}>, nextContext: any): void;
        UNSAFE_componentWillUpdate?(nextProps: Readonly<P>, nextState: Readonly<{}>, nextContext: any): void;
    };
    new (props: P, context?: any): {
        context: IAuthContext | null;
        render(): JSX.Element;
        setState<K extends never>(state: {} | ((prevState: Readonly<{}>, props: Readonly<P>) => {} | Pick<{}, K> | null) | Pick<{}, K> | null, callback?: (() => void) | undefined): void;
        forceUpdate(callback?: (() => void) | undefined): void;
        readonly props: Readonly<P> & Readonly<{
            children?: React.ReactNode;
        }>;
        state: Readonly<{}>;
        refs: {
            [key: string]: React.ReactInstance;
        };
        componentDidMount?(): void;
        shouldComponentUpdate?(nextProps: Readonly<P>, nextState: Readonly<{}>, nextContext: any): boolean;
        componentWillUnmount?(): void;
        componentDidCatch?(error: Error, errorInfo: React.ErrorInfo): void;
        getSnapshotBeforeUpdate?(prevProps: Readonly<P>, prevState: Readonly<{}>): any;
        componentDidUpdate?(prevProps: Readonly<P>, prevState: Readonly<{}>, snapshot?: any): void;
        componentWillMount?(): void;
        UNSAFE_componentWillMount?(): void;
        componentWillReceiveProps?(nextProps: Readonly<P>, nextContext: any): void;
        UNSAFE_componentWillReceiveProps?(nextProps: Readonly<P>, nextContext: any): void;
        componentWillUpdate?(nextProps: Readonly<P>, nextState: Readonly<{}>, nextContext: any): void;
        UNSAFE_componentWillUpdate?(nextProps: Readonly<P>, nextState: Readonly<{}>, nextContext: any): void;
    };
    contextType: React.Context<IAuthContext>;
};
export declare class ProtectedComponent extends React.Component {
    static contextType: React.Context<IAuthContext>;
    context: ContextType<typeof AuthContext> | null;
    render(): {} | null | undefined;
}
export declare class ProtectedRoute extends React.Component<RouteProps> {
    static contextType: React.Context<IAuthContext>;
    context: ContextType<typeof AuthContext> | null;
    component: ComponentType | null;
    constructor(props: RouteProps);
    render(): JSX.Element;
}
export declare const ProtectedArea: FC;
//# sourceMappingURL=HOCs.d.ts.map