import React from 'react';
import { RouteComponentProps } from 'react-router';
import { ComponentsTypes, ComponentsTypesWithProps } from '../../../providers/DynamicComponent';
import { IPageHeader } from '../../PageHeader';
import { IProfileInfo } from './ProfileInfo/ProfileInfo';
import { IProfileMFASettings } from './ProfileMFASettings';
import { IProfilePasswordSettings } from './ProfilePasswordSettings';
declare type Components = {
    PageHeader: IPageHeader;
    ProfileInfo: IProfileInfo;
    ProfilePasswordSettings: IProfilePasswordSettings;
    ProfileMFASettings: IProfileMFASettings;
};
export interface IProfile {
    rootDir?: string;
    components?: ComponentsTypesWithProps<Components>;
}
declare class ProfileComponent extends React.Component<IProfile & RouteComponentProps> {
    static defaultProps: {
        rootDir: string;
    };
    components: ComponentsTypes<Components>;
    constructor(props: IProfile & RouteComponentProps);
    render(): JSX.Element;
}
export declare const Profile: React.ComponentClass<Pick<IProfile & RouteComponentProps<{}, import("react-router").StaticContext, any>, "rootDir" | "components">, any> & import("react-router").WithRouterStatics<typeof ProfileComponent>;
export {};
//# sourceMappingURL=Profile.d.ts.map