import React from 'react';
import { IMessage } from './types/message';
import { ISeverity } from './types/severity';
import './styles/message.scss';
interface IProps {
    message: IMessage;
    style?: any;
    deleteMessage: (id: string) => void;
    isMessageNew: boolean;
    markAsUnread: (id: string) => void;
    pinMessage: (id: string) => void;
    loadMore?: (offset?: number) => void;
    severities: {
        [key: string]: ISeverity;
    };
    contextTheme?: any;
    metadataTheme?: any;
    isDemonstration?: boolean;
}
interface IState {
    options: boolean;
}
export default class Message extends React.Component<IProps, IState> {
    optionsRef: React.RefObject<HTMLObjectElement>;
    containerRef: React.RefObject<HTMLObjectElement>;
    bodyRef: React.RefObject<HTMLObjectElement>;
    defaultSeverity: {
        color: string;
    };
    constructor(props: IProps);
    componentDidMount(): void;
    componentWillUnmount(): void;
    onScroll: () => void;
    toggleOptions: () => void;
    getMessageCreated: (date: string, timePresentation: string) => string;
    pinToTop: (id: string) => Promise<void>;
    checkIsPinned: (message: IMessage) => boolean;
    getSeverity: (severities: any, message: any) => any;
    getActionUrlTarget: (url: string) => "_blank" | "_self";
    render(): JSX.Element;
}
export {};
//# sourceMappingURL=notifications-message.d.ts.map