import { ContextOptions } from '../../providers/context';
import { IMessage } from './types/message';
import { NotificationsMetadata } from './types/theme';
export interface InterfaceState {
    context: ContextOptions | null;
    messages: {
        data: IMessage[];
        current: number;
        total: number | null;
        unreadCount: number;
    };
    messagesToMarkAsRead: IMessage[];
    switchValue: boolean;
    windowValue: boolean;
    error?: {};
    loading: boolean;
    viewAllValue: boolean;
    metadata?: NotificationsMetadata;
    pollingFrequency: number;
}
export declare const idToArray: (id: string | string[]) => string[];
export declare const initialState: InterfaceState;
declare const reducer: import("redux").Reducer<InterfaceState, import("redux").AnyAction>;
export declare const loadData: {
    type: string;
} & {
    match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
        payload: void | undefined;
    };
} & {
    (payload?: undefined): import("redux").Action<string> & {
        payload: undefined;
    };
    <PT extends void>(payload?: PT | undefined): import("redux").Action<string> & {
        payload: PT;
    };
};
export declare const loadMoreData: {
    type: string;
} & {
    match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
        payload: number | undefined;
    };
} & ((offset?: number | undefined) => import("redux").Action<string> & {
    payload: number | undefined;
});
export declare type LoadMoreDataProps = ReturnType<typeof loadMoreData>;
export declare const loadMetadata: {
    type: string;
} & {
    match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
        payload: void | undefined;
    };
} & {
    (payload?: undefined): import("redux").Action<string> & {
        payload: undefined;
    };
    <PT extends void>(payload?: PT | undefined): import("redux").Action<string> & {
        payload: PT;
    };
};
interface UpdateStatus {
    message: IMessage;
    status: string;
}
export declare const updateMessageStatus: {
    type: string;
} & {
    match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
        payload: UpdateStatus;
    };
} & (<PT extends UpdateStatus>(payload: PT) => import("redux").Action<string> & {
    payload: PT;
});
export { reducer };
export declare const setContext: {
    type: string;
} & {
    match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
        payload: unknown;
    };
} & {
    (payload?: undefined): import("redux").Action<string> & {
        payload: undefined;
    };
    <PT extends unknown>(payload?: PT | undefined): import("redux").Action<string> & {
        payload: PT;
    };
}, setPollingFrequency: {
    type: string;
} & {
    match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
        payload: unknown;
    };
} & {
    (payload?: undefined): import("redux").Action<string> & {
        payload: undefined;
    };
    <PT extends unknown>(payload?: PT | undefined): import("redux").Action<string> & {
        payload: PT;
    };
}, pinMessage: {
    type: string;
} & {
    match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
        payload: unknown;
    };
} & {
    (payload?: undefined): import("redux").Action<string> & {
        payload: undefined;
    };
    <PT extends unknown>(payload?: PT | undefined): import("redux").Action<string> & {
        payload: PT;
    };
}, switchToggle: {
    type: string;
} & {
    match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
        payload: undefined;
    };
} & (() => import("redux").Action<string> & {
    payload: undefined;
}), markAsUnread: {
    type: string;
} & {
    match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
        payload: string;
    };
} & ((props: string) => import("redux").Action<string> & {
    payload: string;
}), markAllAsRead: {
    type: string;
} & {
    match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
        payload: undefined;
    };
} & (() => import("redux").Action<string> & {
    payload: undefined;
}), markAllAsReadButton: {
    type: string;
} & {
    match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
        payload: undefined;
    };
} & (() => import("redux").Action<string> & {
    payload: undefined;
}), startLoading: {
    type: string;
} & {
    match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
        payload: undefined;
    };
} & (() => import("redux").Action<string> & {
    payload: undefined;
}), finishLoading: {
    type: string;
} & {
    match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
        payload: undefined;
    };
} & (() => import("redux").Action<string> & {
    payload: undefined;
}), clearMessagesToMarkAsRead: {
    type: string;
} & {
    match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
        payload: undefined;
    };
} & (() => import("redux").Action<string> & {
    payload: undefined;
}), deleteMessage: {
    type: string;
} & {
    match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
        payload: string;
    };
} & ((props: string) => import("redux").Action<string> & {
    payload: string;
}), handlePolledNotifications: {
    type: string;
} & {
    match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
        payload: unknown;
    };
} & {
    (payload?: undefined): import("redux").Action<string> & {
        payload: undefined;
    };
    <PT extends unknown>(payload?: PT | undefined): import("redux").Action<string> & {
        payload: PT;
    };
}, loadMoreDataSuccess: {
    type: string;
} & {
    match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
        payload: unknown;
    };
} & {
    (payload?: undefined): import("redux").Action<string> & {
        payload: undefined;
    };
    <PT extends unknown>(payload?: PT | undefined): import("redux").Action<string> & {
        payload: PT;
    };
}, loadItemFailedAction: {
    type: string;
} & {
    match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
        payload: unknown;
    };
} & {
    (payload?: undefined): import("redux").Action<string> & {
        payload: undefined;
    };
    <PT extends unknown>(payload?: PT | undefined): import("redux").Action<string> & {
        payload: PT;
    };
}, loadMetadataSuccess: {
    type: string;
} & {
    match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
        payload: unknown;
    };
} & {
    (payload?: undefined): import("redux").Action<string> & {
        payload: undefined;
    };
    <PT extends unknown>(payload?: PT | undefined): import("redux").Action<string> & {
        payload: PT;
    };
};
//# sourceMappingURL=reducer.d.ts.map