import { ContextOptions } from '../../providers/context';
import { IBasicData, IUpdateBasicData, IResetPassword, IUploadPhoto } from './types';
export interface BasicComponentData {
    photo: string;
    name: string;
    country: string;
    email: string;
    birthDate: string;
}
export interface ProfileState {
    basicData: IBasicData | null;
    context: ContextOptions | null;
    isLoading: boolean;
    error?: {
        [key: string]: string;
    };
    countries: {
        [key: string]: string;
    };
}
export declare const initialState: ProfileState;
declare const reducer: import("redux").Reducer<ProfileState, import("redux").AnyAction>;
export declare const removePhotoAction: {
    type: string;
} & {
    match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
        payload: void | undefined;
    };
} & {
    (payload?: undefined): import("redux").Action<string> & {
        payload: undefined;
    };
    <PT extends void>(payload?: PT | undefined): import("redux").Action<string> & {
        payload: PT;
    };
};
export declare const loadProfileData: {
    type: string;
} & {
    match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
        payload: void | undefined;
    };
} & {
    (payload?: undefined): import("redux").Action<string> & {
        payload: undefined;
    };
    <PT extends void>(payload?: PT | undefined): import("redux").Action<string> & {
        payload: PT;
    };
};
export declare const uploadPhotoAction: {
    type: string;
} & {
    match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
        payload: IUploadPhoto;
    };
} & (<PT extends IUploadPhoto>(payload: PT) => import("redux").Action<string> & {
    payload: PT;
});
export declare const resetPasswordAction: {
    type: string;
} & {
    match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
        payload: IResetPassword;
    };
} & (<PT extends IResetPassword>(payload: PT) => import("redux").Action<string> & {
    payload: PT;
});
export declare const updateBasicDataAction: {
    type: string;
} & {
    match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
        payload: IUpdateBasicData;
    };
} & (<PT extends IUpdateBasicData>(payload: PT) => import("redux").Action<string> & {
    payload: PT;
});
export { reducer };
export declare const setContext: {
    type: string;
} & {
    match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
        payload: unknown;
    };
} & {
    (payload?: undefined): import("redux").Action<string> & {
        payload: undefined;
    };
    <PT extends unknown>(payload?: PT | undefined): import("redux").Action<string> & {
        payload: PT;
    };
}, loadProfileDataSuccess: {
    type: string;
} & {
    match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
        payload: unknown;
    };
} & {
    (payload?: undefined): import("redux").Action<string> & {
        payload: undefined;
    };
    <PT extends unknown>(payload?: PT | undefined): import("redux").Action<string> & {
        payload: PT;
    };
}, loadFiledAction: {
    type: string;
} & {
    match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
        payload: unknown;
    };
} & {
    (payload?: undefined): import("redux").Action<string> & {
        payload: undefined;
    };
    <PT extends unknown>(payload?: PT | undefined): import("redux").Action<string> & {
        payload: PT;
    };
}, startLoading: {
    type: string;
} & {
    match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
        payload: undefined;
    };
} & (() => import("redux").Action<string> & {
    payload: undefined;
}), finishLoading: {
    type: string;
} & {
    match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
        payload: undefined;
    };
} & (() => import("redux").Action<string> & {
    payload: undefined;
});
//# sourceMappingURL=reducer.d.ts.map