import React, { CSSProperties } from 'react';
import { Dispatch } from '@reduxjs/toolkit';
import { RouteComponentProps } from 'react-router-dom';
import { DropdownItemProps } from 'semantic-ui-react';
import { ISlackState } from '../slackTypes';
interface ICreateOrEditSubscriptionState {
    isOpenAdvanced: boolean;
    eventsToDelete: {
        parent: string;
        eventKey: string;
    }[];
}
export declare const helpStyle: CSSProperties;
declare type TCreateOrEditSubscription = TStateToProps & TDispatchProps & RouteComponentProps<{
    itemId?: string;
}>;
declare class CreateOrEditSubscriptionComponent extends React.Component<TCreateOrEditSubscription, ICreateOrEditSubscriptionState> {
    state: {
        isOpenAdvanced: boolean;
        eventsToDelete: never[];
    };
    componentDidMount(): void;
    componentDidUpdate({ isUpdating: prevIsUpdating }: TCreateOrEditSubscription): void;
    deleteEvents: () => void;
    render(): JSX.Element;
}
declare const mapDispatchProps: (dispatch: Dispatch<import("redux").AnyAction>) => {
    getItemsData: {
        type: string;
    } & {
        match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
            payload: undefined;
        };
    } & (() => import("redux").Action<string> & {
        payload: undefined;
    });
    createOrUpdateSubscription: {
        type: string;
    } & {
        match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
            payload: import("../slackTypes").ICreateOrUpdateData;
        };
    } & ((payload: import("../slackTypes").ICreateOrUpdateData) => import("redux").Action<string> & {
        payload: import("../slackTypes").ICreateOrUpdateData;
    });
    getListOfEvents: {
        type: string;
    } & {
        match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
            payload: undefined;
        };
    } & (() => import("redux").Action<string> & {
        payload: undefined;
    });
    deleteNotification: {
        type: string;
    } & {
        match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
            payload: {
                itemId: string;
                eventKey: string;
            };
        };
    } & (<PT extends {
        itemId: string;
        eventKey: string;
    }>(payload: PT) => import("redux").Action<string> & {
        payload: PT;
    });
};
declare const mapStateToProps: ({ isLoading, channels, categories, subscription, isUpdating }: ISlackState, { match: { params: { itemId }, }, }: RouteComponentProps<{
    itemId?: string | undefined;
}, import("react-router").StaticContext, any>) => {
    isLoading: boolean;
    isUpdating: boolean;
    editData: {};
    isSubscriptionExists: boolean;
    channels: {
        key: string;
        text: string;
        value: string;
    }[];
    categories: DropdownItemProps[];
};
declare type TDispatchProps = ReturnType<typeof mapDispatchProps>;
declare type TStateToProps = ReturnType<typeof mapStateToProps>;
export declare const CreateOrEditSubscription: React.ComponentClass<Pick<Pick<TCreateOrEditSubscription, "match" | "history" | "location" | "staticContext"> & RouteComponentProps<{
    itemId?: string | undefined;
}, import("react-router").StaticContext, any>, never>, any> & import("react-router").WithRouterStatics<import("react-redux").ConnectedComponent<typeof CreateOrEditSubscriptionComponent, Pick<TCreateOrEditSubscription, "match" | "history" | "location" | "staticContext"> & RouteComponentProps<{
    itemId?: string | undefined;
}, import("react-router").StaticContext, any>>>;
export {};
//# sourceMappingURL=createOrEditSubscription.d.ts.map