import { ContextOptions } from '../../providers/context';
import { createOrUpdateSubscriptionAction, deleteSubscriptionAction, setCodeAction, deleteNotificationAction } from './slackReducer';
export interface ISubscription {
    id: string;
    slackSubscriptions: ISlackSubscription[];
}
export interface ISlackSubscription {
    id: string;
    isActive: boolean;
    slackEvents: ISlackEvent[];
}
export interface ISlackChanel {
    id: string;
    name: string;
}
export interface ISlackEvent {
    eventKey: string;
    channelIds: string[];
    title?: string;
    message?: string;
}
export interface ICreateOrUpdateData extends Omit<ISlackSubscription, 'id'> {
    id?: string;
}
interface IWebhookEvent {
    categoryId: string;
    createdAt: string;
    description: null | string;
    displayName: string;
    id: string;
    key: string;
    updatedAt: string;
    vendorId: string;
}
export interface ICategoryEvent {
    createdAt: string;
    events: IWebhookEvent[];
    id: string;
    name: string;
    updatedAt: string;
    vendorId: string;
}
export interface ISlackState {
    context: ContextOptions | null;
    isUpdating: boolean;
    isLoading: number;
    clientId?: string;
    subscription?: ISubscription;
    channels: ISlackChanel[];
    categories: ICategoryEvent[];
}
export declare type TCreateOrUpdateSubscription = ReturnType<typeof createOrUpdateSubscriptionAction>;
export declare type TDeleteSubscription = ReturnType<typeof deleteSubscriptionAction>;
export declare type TDeleteNotification = ReturnType<typeof deleteNotificationAction>;
export declare type TSetCodeFunction = ReturnType<typeof setCodeAction>;
export {};
//# sourceMappingURL=slackTypes.d.ts.map