import { ContextOptions } from '../../providers/context';
import { SamlConfig } from './models/saml-config';
export interface ISsoConfigurationState {
    context: ContextOptions | null;
    errorVerification?: string;
    isLoading: boolean;
    isSaving: boolean;
    domainValidationError?: string | null;
    redirect: boolean;
    acsUrl?: string;
    spEntityId?: string;
    samlConfiguration?: SamlConfig;
}
export declare const initialState: ISsoConfigurationState;
declare const reducer: import("redux").Reducer<ISsoConfigurationState, import("redux").AnyAction>;
export declare const loadConfigurations: {
    type: string;
} & {
    match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
        payload: void | undefined;
    };
} & {
    (payload?: undefined): import("redux").Action<string> & {
        payload: undefined;
    };
    <PT extends void>(payload?: PT | undefined): import("redux").Action<string> & {
        payload: PT;
    };
};
export declare const saveConfigurations: {
    type: string;
} & {
    match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
        payload: void | undefined;
    };
} & {
    (payload?: undefined): import("redux").Action<string> & {
        payload: undefined;
    };
    <PT extends void>(payload?: PT | undefined): import("redux").Action<string> & {
        payload: PT;
    };
};
export declare const saveConfigurationsAuto: {
    type: string;
} & {
    match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
        payload: void | undefined;
    };
} & {
    (payload?: undefined): import("redux").Action<string> & {
        payload: undefined;
    };
    <PT extends void>(payload?: PT | undefined): import("redux").Action<string> & {
        payload: PT;
    };
};
export declare const validateDomain: {
    type: string;
} & {
    match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
        payload: void | undefined;
    };
} & {
    (payload?: undefined): import("redux").Action<string> & {
        payload: undefined;
    };
    <PT extends void>(payload?: PT | undefined): import("redux").Action<string> & {
        payload: PT;
    };
};
export { reducer };
export declare const setContext: {
    type: string;
} & {
    match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
        payload: unknown;
    };
} & {
    (payload?: undefined): import("redux").Action<string> & {
        payload: undefined;
    };
    <PT extends unknown>(payload?: PT | undefined): import("redux").Action<string> & {
        payload: PT;
    };
}, loadingStart: {
    type: string;
} & {
    match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
        payload: undefined;
    };
} & (() => import("redux").Action<string> & {
    payload: undefined;
}), loadingSuccess: {
    type: string;
} & {
    match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
        payload: undefined;
    };
} & (() => import("redux").Action<string> & {
    payload: undefined;
}), redirectTrue: {
    type: string;
} & {
    match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
        payload: undefined;
    };
} & (() => import("redux").Action<string> & {
    payload: undefined;
}), redirectFalse: {
    type: string;
} & {
    match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
        payload: undefined;
    };
} & (() => import("redux").Action<string> & {
    payload: undefined;
}), savingStart: {
    type: string;
} & {
    match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
        payload: undefined;
    };
} & (() => import("redux").Action<string> & {
    payload: undefined;
}), savingCompleted: {
    type: string;
} & {
    match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
        payload: undefined;
    };
} & (() => import("redux").Action<string> & {
    payload: undefined;
}), setDomainValidationError: {
    type: string;
} & {
    match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
        payload: string | undefined;
    };
} & ((props?: string | undefined) => import("redux").Action<string> & {
    payload: string | undefined;
}), setVendorInformation: {
    type: string;
} & {
    match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
        payload: unknown;
    };
} & {
    (payload?: undefined): import("redux").Action<string> & {
        payload: undefined;
    };
    <PT extends unknown>(payload?: PT | undefined): import("redux").Action<string> & {
        payload: PT;
    };
}, setErrorVerification: {
    type: string;
} & {
    match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
        payload: string;
    };
} & ((props: string) => import("redux").Action<string> & {
    payload: string;
}), setConfiguration: {
    type: string;
} & {
    match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
        payload: SamlConfig;
    };
} & ((props: SamlConfig) => import("redux").Action<string> & {
    payload: SamlConfig;
}), getConfigurationsSuccess: {
    type: string;
} & {
    match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
        payload: SamlConfig;
    };
} & ((props: SamlConfig) => import("redux").Action<string> & {
    payload: SamlConfig;
}), clearErrorVerification: {
    type: string;
} & {
    match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
        payload: undefined;
    };
} & (() => import("redux").Action<string> & {
    payload: undefined;
}), setRootDir: {
    type: string;
} & {
    match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
        payload: string;
    };
} & ((props: string) => import("redux").Action<string> & {
    payload: string;
}), setHistory: {
    type: string;
} & {
    match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
        payload: any;
    };
} & ((props: any) => import("redux").Action<string> & {
    payload: any;
});
//# sourceMappingURL=reducer.d.ts.map