import React from 'react';
import { Dispatch } from 'redux';
import { ISsoConfigurationState } from './reducer';
import { ContextOptions } from '../../providers/context';
import { RouteComponentProps } from 'react-router-dom';
import './styles/index.scss';
export interface IProps {
    context?: ContextOptions;
    overrideAcsUrl?: string;
    rootDir: string;
    history: any;
    noHeader?: boolean;
}
declare class SsoConfigurationContainer extends React.Component<IProps & RouteComponentProps & DispatchProps & StateToProps> {
    componentDidMount(): void;
    onEnabledDisabledChanged(): void;
    render(): JSX.Element;
}
declare const mapDispatchProps: (dispatch: Dispatch<import("redux").AnyAction>) => {
    setContext: {
        type: string;
    } & {
        match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
            payload: unknown;
        };
    } & {
        (payload?: undefined): import("redux").Action<string> & {
            payload: undefined;
        };
        <PT extends unknown>(payload?: PT | undefined): import("redux").Action<string> & {
            payload: PT;
        };
    };
    setRootDir: {
        type: string;
    } & {
        match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
            payload: string;
        };
    } & ((props: string) => import("redux").Action<string> & {
        payload: string;
    });
    setConfiguration: {
        type: string;
    } & {
        match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
            payload: import("./models/saml-config").SamlConfig;
        };
    } & ((props: import("./models/saml-config").SamlConfig) => import("redux").Action<string> & {
        payload: import("./models/saml-config").SamlConfig;
    });
    loadConfigurations: {
        type: string;
    } & {
        match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
            payload: void | undefined;
        };
    } & {
        (payload?: undefined): import("redux").Action<string> & {
            payload: undefined;
        };
        <PT_1 extends void>(payload?: PT_1 | undefined): import("redux").Action<string> & {
            payload: PT_1;
        };
    };
    saveConfigurations: {
        type: string;
    } & {
        match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
            payload: void | undefined;
        };
    } & {
        (payload?: undefined): import("redux").Action<string> & {
            payload: undefined;
        };
        <PT_1 extends void>(payload?: PT_1 | undefined): import("redux").Action<string> & {
            payload: PT_1;
        };
    };
};
declare const mapStateToProps: (state: ISsoConfigurationState) => {
    isLoading: boolean;
    samlConfiguration: import("./models/saml-config").SamlConfig | undefined;
};
declare type DispatchProps = ReturnType<typeof mapDispatchProps>;
declare type StateToProps = ReturnType<typeof mapStateToProps>;
declare const _default: import("react-redux").ConnectedComponent<React.ComponentClass<Pick<IProps & RouteComponentProps<{}, import("react-router").StaticContext, any> & {
    setContext: {
        type: string;
    } & {
        match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
            payload: unknown;
        };
    } & {
        (payload?: undefined): import("redux").Action<string> & {
            payload: undefined;
        };
        <PT extends unknown>(payload?: PT | undefined): import("redux").Action<string> & {
            payload: PT;
        };
    };
    setRootDir: {
        type: string;
    } & {
        match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
            payload: string;
        };
    } & ((props: string) => import("redux").Action<string> & {
        payload: string;
    });
    setConfiguration: {
        type: string;
    } & {
        match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
            payload: import("./models/saml-config").SamlConfig;
        };
    } & ((props: import("./models/saml-config").SamlConfig) => import("redux").Action<string> & {
        payload: import("./models/saml-config").SamlConfig;
    });
    loadConfigurations: {
        type: string;
    } & {
        match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
            payload: void | undefined;
        };
    } & {
        (payload?: undefined): import("redux").Action<string> & {
            payload: undefined;
        };
        <PT_1 extends void>(payload?: PT_1 | undefined): import("redux").Action<string> & {
            payload: PT_1;
        };
    };
    saveConfigurations: {
        type: string;
    } & {
        match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
            payload: void | undefined;
        };
    } & {
        (payload?: undefined): import("redux").Action<string> & {
            payload: undefined;
        };
        <PT_1 extends void>(payload?: PT_1 | undefined): import("redux").Action<string> & {
            payload: PT_1;
        };
    };
} & {
    isLoading: boolean;
    samlConfiguration: import("./models/saml-config").SamlConfig | undefined;
}, "context" | "isLoading" | "samlConfiguration" | "setContext" | "setRootDir" | "setConfiguration" | "overrideAcsUrl" | "rootDir" | "noHeader" | "loadConfigurations" | "saveConfigurations">, any> & import("react-router").WithRouterStatics<typeof SsoConfigurationContainer>, Pick<Pick<IProps & RouteComponentProps<{}, import("react-router").StaticContext, any> & {
    setContext: {
        type: string;
    } & {
        match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
            payload: unknown;
        };
    } & {
        (payload?: undefined): import("redux").Action<string> & {
            payload: undefined;
        };
        <PT extends unknown>(payload?: PT | undefined): import("redux").Action<string> & {
            payload: PT;
        };
    };
    setRootDir: {
        type: string;
    } & {
        match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
            payload: string;
        };
    } & ((props: string) => import("redux").Action<string> & {
        payload: string;
    });
    setConfiguration: {
        type: string;
    } & {
        match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
            payload: import("./models/saml-config").SamlConfig;
        };
    } & ((props: import("./models/saml-config").SamlConfig) => import("redux").Action<string> & {
        payload: import("./models/saml-config").SamlConfig;
    });
    loadConfigurations: {
        type: string;
    } & {
        match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
            payload: void | undefined;
        };
    } & {
        (payload?: undefined): import("redux").Action<string> & {
            payload: undefined;
        };
        <PT_1 extends void>(payload?: PT_1 | undefined): import("redux").Action<string> & {
            payload: PT_1;
        };
    };
    saveConfigurations: {
        type: string;
    } & {
        match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
            payload: void | undefined;
        };
    } & {
        (payload?: undefined): import("redux").Action<string> & {
            payload: undefined;
        };
        <PT_1 extends void>(payload?: PT_1 | undefined): import("redux").Action<string> & {
            payload: PT_1;
        };
    };
} & {
    isLoading: boolean;
    samlConfiguration: import("./models/saml-config").SamlConfig | undefined;
}, "context" | "isLoading" | "samlConfiguration" | "setContext" | "setRootDir" | "setConfiguration" | "overrideAcsUrl" | "rootDir" | "noHeader" | "loadConfigurations" | "saveConfigurations">, "context" | "overrideAcsUrl" | "rootDir" | "noHeader"> & IProps>;
export default _default;
//# sourceMappingURL=sso-config-container.d.ts.map