import React from 'react';
import { Dispatch } from 'redux';
import { TeamInvitationMode } from './users-toolbar';
import { PaginationMode, ErrorComponent } from '../types';
import { ContextOptions } from '../../providers/context';
export interface TeamProps {
    invitationMode?: TeamInvitationMode;
    paginationMode?: PaginationMode;
    context?: ContextOptions;
    hideStatistics?: boolean;
    errorComponent?: ErrorComponent;
    allowChangingPasswords?: boolean;
}
declare type DispatchTypes = ReturnType<typeof mapDispatchToProps>;
declare class TeamContainer extends React.Component<TeamProps & DispatchTypes, {}> {
    componentDidMount(): void;
    render(): JSX.Element;
}
declare const mapDispatchToProps: (dispatch: Dispatch<import("redux").AnyAction>) => {
    loadItemsAction: {
        type: string;
    } & {
        match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
            payload: undefined;
        };
    } & (() => import("redux").Action<string> & {
        payload: undefined;
    });
    loadStatsAction: {
        type: string;
    } & {
        match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
            payload: void | undefined;
        };
    } & {
        (payload?: undefined): import("redux").Action<string> & {
            payload: undefined;
        };
        <PT extends void>(payload?: PT | undefined): import("redux").Action<string> & {
            payload: PT;
        };
    };
    setContextAction: {
        type: string;
    } & {
        match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
            payload: unknown;
        };
    } & {
        (payload?: undefined): import("redux").Action<string> & {
            payload: undefined;
        };
        <PT_1 extends unknown>(payload?: PT_1 | undefined): import("redux").Action<string> & {
            payload: PT_1;
        };
    };
    getAvailableRolesAction: {
        type: string;
    } & {
        match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
            payload: undefined;
        };
    } & (() => import("redux").Action<string> & {
        payload: undefined;
    });
};
declare const _default: import("react-redux").ConnectedComponent<typeof TeamContainer, Pick<TeamProps & {
    loadItemsAction: {
        type: string;
    } & {
        match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
            payload: undefined;
        };
    } & (() => import("redux").Action<string> & {
        payload: undefined;
    });
    loadStatsAction: {
        type: string;
    } & {
        match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
            payload: void | undefined;
        };
    } & {
        (payload?: undefined): import("redux").Action<string> & {
            payload: undefined;
        };
        <PT extends void>(payload?: PT | undefined): import("redux").Action<string> & {
            payload: PT;
        };
    };
    setContextAction: {
        type: string;
    } & {
        match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
            payload: unknown;
        };
    } & {
        (payload?: undefined): import("redux").Action<string> & {
            payload: undefined;
        };
        <PT_1 extends unknown>(payload?: PT_1 | undefined): import("redux").Action<string> & {
            payload: PT_1;
        };
    };
    getAvailableRolesAction: {
        type: string;
    } & {
        match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
            payload: undefined;
        };
    } & (() => import("redux").Action<string> & {
        payload: undefined;
    });
}, "context" | "invitationMode" | "paginationMode" | "hideStatistics" | "errorComponent" | "allowChangingPasswords"> & TeamProps>;
export default _default;
//# sourceMappingURL=users-container.d.ts.map