interface InviteAdminProps {
    admin: string;
}
export interface UserItemInterface {
    name: string;
    email: string;
    id: string;
    createdAt: string;
    profileImageUrl: string;
    tenantId: string;
    roleIds: string[];
}
interface RoleInterface {
    id: string;
    name: string;
    description: string;
}
interface StateInterface {
    error: any;
    items: UserItemInterface[];
    roles: RoleInterface[];
    currentUserRoleIds: string[];
    context: any;
    loading: boolean;
    pageSize: number;
    pageOffset: number;
    totalPages: number;
    totalItems: number;
    loadingRoles: boolean;
    searchFilter: string;
    addedThisWeek: number;
    isResetPasswordDialogOpen: boolean;
    isResettingPassword: boolean;
    resetPasswordError: string;
    isBusy: boolean;
}
export declare const initialState: StateInterface;
declare const reducer: import("redux").Reducer<StateInterface, import("redux").AnyAction>;
export declare const inviteAdminAction: {
    type: string;
} & {
    match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
        payload: InviteAdminProps;
    };
} & (<PT extends InviteAdminProps>(payload: PT) => import("redux").Action<string> & {
    payload: PT;
});
export declare type InviteAdminActionProps = ReturnType<typeof inviteAdminAction>;
export declare const editUserAction: {
    type: string;
} & {
    match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
        payload: any;
    };
} & {
    (payload?: undefined): import("redux").Action<string> & {
        payload: undefined;
    };
    <PT extends any>(payload?: PT | undefined): import("redux").Action<string> & {
        payload: PT;
    };
};
export declare type EditUserActionProps = ReturnType<typeof editUserAction>;
export declare const deleteUserAction: {
    type: string;
} & {
    match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
        payload: any;
    };
} & {
    (payload?: undefined): import("redux").Action<string> & {
        payload: undefined;
    };
    <PT extends any>(payload?: PT | undefined): import("redux").Action<string> & {
        payload: PT;
    };
};
export declare const resetPasswordAction: {
    type: string;
} & {
    match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
        payload: any;
    };
} & {
    (payload?: undefined): import("redux").Action<string> & {
        payload: undefined;
    };
    <PT extends any>(payload?: PT | undefined): import("redux").Action<string> & {
        payload: PT;
    };
};
export declare type ResetPasswordActionProps = ReturnType<typeof resetPasswordAction>;
export declare const resendActivationEmailAction: {
    type: string;
} & {
    match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
        payload: any;
    };
} & {
    (payload?: undefined): import("redux").Action<string> & {
        payload: undefined;
    };
    <PT extends any>(payload?: PT | undefined): import("redux").Action<string> & {
        payload: PT;
    };
};
export declare type ResendActivationEmailActionProps = ReturnType<typeof resendActivationEmailAction>;
export declare const loadStatsAction: {
    type: string;
} & {
    match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
        payload: void | undefined;
    };
} & {
    (payload?: undefined): import("redux").Action<string> & {
        payload: undefined;
    };
    <PT extends void>(payload?: PT | undefined): import("redux").Action<string> & {
        payload: PT;
    };
};
export { reducer };
export declare const loadItemsAction: {
    type: string;
} & {
    match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
        payload: undefined;
    };
} & (() => import("redux").Action<string> & {
    payload: undefined;
}), searchUserAction: {
    type: string;
} & {
    match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
        payload: unknown;
    };
} & {
    (payload?: undefined): import("redux").Action<string> & {
        payload: undefined;
    };
    <PT extends unknown>(payload?: PT | undefined): import("redux").Action<string> & {
        payload: PT;
    };
}, setContextAction: {
    type: string;
} & {
    match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
        payload: unknown;
    };
} & {
    (payload?: undefined): import("redux").Action<string> & {
        payload: undefined;
    };
    <PT extends unknown>(payload?: PT | undefined): import("redux").Action<string> & {
        payload: PT;
    };
}, setIsBusyAction: {
    type: string;
} & {
    match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
        payload: unknown;
    };
} & {
    (payload?: undefined): import("redux").Action<string> & {
        payload: undefined;
    };
    <PT extends unknown>(payload?: PT | undefined): import("redux").Action<string> & {
        payload: PT;
    };
}, fetchNextPageAction: {
    type: string;
} & {
    match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
        payload: unknown;
    };
} & {
    (payload?: undefined): import("redux").Action<string> & {
        payload: undefined;
    };
    <PT extends unknown>(payload?: PT | undefined): import("redux").Action<string> & {
        payload: PT;
    };
}, loadItemFiledAction: {
    type: string;
} & {
    match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
        payload: unknown;
    };
} & {
    (payload?: undefined): import("redux").Action<string> & {
        payload: undefined;
    };
    <PT extends unknown>(payload?: PT | undefined): import("redux").Action<string> & {
        payload: PT;
    };
}, fetchMoreItemsActions: {
    type: string;
} & {
    match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
        payload: undefined;
    };
} & (() => import("redux").Action<string> & {
    payload: undefined;
}), loadItemsSuccessAction: {
    type: string;
} & {
    match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
        payload: unknown;
    };
} & {
    (payload?: undefined): import("redux").Action<string> & {
        payload: undefined;
    };
    <PT extends unknown>(payload?: PT | undefined): import("redux").Action<string> & {
        payload: PT;
    };
}, loadStatsSuccessAction: {
    type: string;
} & {
    match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
        payload: unknown;
    };
} & {
    (payload?: undefined): import("redux").Action<string> & {
        payload: undefined;
    };
    <PT extends unknown>(payload?: PT | undefined): import("redux").Action<string> & {
        payload: PT;
    };
}, getAvailableRolesAction: {
    type: string;
} & {
    match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
        payload: undefined;
    };
} & (() => import("redux").Action<string> & {
    payload: undefined;
}), inviteAdminSuccessAction: {
    type: string;
} & {
    match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
        payload: unknown;
    };
} & {
    (payload?: undefined): import("redux").Action<string> & {
        payload: undefined;
    };
    <PT extends unknown>(payload?: PT | undefined): import("redux").Action<string> & {
        payload: PT;
    };
}, availableRolesSuccessAction: {
    type: string;
} & {
    match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
        payload: unknown;
    };
} & {
    (payload?: undefined): import("redux").Action<string> & {
        payload: undefined;
    };
    <PT extends unknown>(payload?: PT | undefined): import("redux").Action<string> & {
        payload: PT;
    };
}, toggleResetPasswordAction: {
    type: string;
} & {
    match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
        payload: unknown;
    };
} & {
    (payload?: undefined): import("redux").Action<string> & {
        payload: undefined;
    };
    <PT extends unknown>(payload?: PT | undefined): import("redux").Action<string> & {
        payload: PT;
    };
};
//# sourceMappingURL=users-reducer.d.ts.map