import { FormikValues } from 'formik';
import { IWebhook, IWebHookLog } from './types/webhooks';
import { ContextOptions } from '../../providers/context';
import { IEventsProps } from './types/eventProps';
import { IHeaderProps } from './types/headerProps';
import { Dispatch } from 'redux';
export interface ITestWebhookData {
    url: string;
    secret: string;
}
export interface WebHooksState {
    events: IEventsProps[];
    headerProps: IHeaderProps[];
    webhooks: IWebhook[];
    webhookLogs: IWebHookLog[];
    context: ContextOptions;
    isLoading: boolean;
    webhookLogsCount: number;
    successAddOrUpdate: boolean;
    limitTableLogsSize: number;
    isTesting: boolean;
    testResult: null | Record<string, string>;
    error?: {
        [key: string]: string;
    };
}
export declare const initialState: {
    events: never[];
    headerProps: IHeaderProps[];
    webhooks: never[];
    webhookLogs: never[];
    context: null;
    isLoading: boolean;
    isTesting: boolean;
    successAddOrUpdate: boolean;
    limitTableLogsSize: number;
    webhookLogsCount: number;
    testResult: null;
    error: {};
};
declare const reducer: import("redux").Reducer<{
    events: never[];
    headerProps: IHeaderProps[];
    webhooks: never[];
    webhookLogs: never[];
    context: null;
    isLoading: boolean;
    isTesting: boolean;
    successAddOrUpdate: boolean;
    limitTableLogsSize: number;
    webhookLogsCount: number;
    testResult: null;
    error: {};
}, import("redux").AnyAction>;
export declare const initData: {
    type: string;
} & {
    match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
        payload: void | undefined;
    };
} & {
    (payload?: undefined): import("redux").Action<string> & {
        payload: undefined;
    };
    <PT extends void>(payload?: PT | undefined): import("redux").Action<string> & {
        payload: PT;
    };
};
export declare const deleteWebhookAction: {
    type: string;
} & {
    match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
        payload: string;
    };
} & (<PT extends string>(payload: PT) => import("redux").Action<string> & {
    payload: PT;
});
export declare const addWebhookAction: {
    type: string;
} & {
    match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
        payload: FormikValues;
    };
} & (<PT extends FormikValues>(payload: PT) => import("redux").Action<string> & {
    payload: PT;
});
export declare const updateWebhookAction: {
    type: string;
} & {
    match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
        payload: FormikValues;
    };
} & (<PT extends FormikValues>(payload: PT) => import("redux").Action<string> & {
    payload: PT;
});
export declare const updateWebhookIsActiveAction: {
    type: string;
} & {
    match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
        payload: IWebhook;
    };
} & (<PT extends IWebhook>(payload: PT) => import("redux").Action<string> & {
    payload: PT;
});
export { reducer };
export declare const setContext: {
    type: string;
} & {
    match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
        payload: unknown;
    };
} & {
    (payload?: undefined): import("redux").Action<string> & {
        payload: undefined;
    };
    <PT extends unknown>(payload?: PT | undefined): import("redux").Action<string> & {
        payload: PT;
    };
}, startLoading: {
    type: string;
} & {
    match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
        payload: undefined;
    };
} & (() => import("redux").Action<string> & {
    payload: undefined;
}), finishLoading: {
    type: string;
} & {
    match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
        payload: undefined;
    };
} & (() => import("redux").Action<string> & {
    payload: undefined;
}), loadFailedAction: {
    type: string;
} & {
    match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
        payload: unknown;
    };
} & {
    (payload?: undefined): import("redux").Action<string> & {
        payload: undefined;
    };
    <PT extends unknown>(payload?: PT | undefined): import("redux").Action<string> & {
        payload: PT;
    };
}, loadEventsSuccess: {
    type: string;
} & {
    match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
        payload: unknown;
    };
} & {
    (payload?: undefined): import("redux").Action<string> & {
        payload: undefined;
    };
    <PT extends unknown>(payload?: PT | undefined): import("redux").Action<string> & {
        payload: PT;
    };
}, testWebhookAction: {
    type: string;
} & {
    match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
        payload: ITestWebhookData;
    };
} & ((payload: ITestWebhookData) => import("redux").Action<string> & {
    payload: ITestWebhookData;
}), dismissErrorAction: {
    type: string;
} & {
    match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
        payload: undefined;
    };
} & (() => import("redux").Action<string> & {
    payload: undefined;
}), loadWebhooksSuccess: {
    type: string;
} & {
    match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
        payload: unknown;
    };
} & {
    (payload?: undefined): import("redux").Action<string> & {
        payload: undefined;
    };
    <PT extends unknown>(payload?: PT | undefined): import("redux").Action<string> & {
        payload: PT;
    };
}, loadWebhookLogsAction: {
    type: string;
} & {
    match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
        payload: Record<string, string>;
    };
} & ((payload: Record<string, string>) => import("redux").Action<string> & {
    payload: Record<string, string>;
}), loadWebhookLogsSuccess: {
    type: string;
} & {
    match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
        payload: {
            row: IWebHookLog[];
            count: number;
        };
    };
} & ((row: IWebHookLog[], count: number) => import("redux").Action<string> & {
    payload: {
        row: IWebHookLog[];
        count: number;
    };
}), testWebhookResultAction: {
    type: string;
} & {
    match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
        payload: unknown;
    };
} & {
    (payload?: undefined): import("redux").Action<string> & {
        payload: undefined;
    };
    <PT extends unknown>(payload?: PT | undefined): import("redux").Action<string> & {
        payload: PT;
    };
}, addOrUpdateWebhookSuccessAction: {
    type: string;
} & {
    match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
        payload: unknown;
    };
} & {
    (payload?: undefined): import("redux").Action<string> & {
        payload: undefined;
    };
    <PT extends unknown>(payload?: PT | undefined): import("redux").Action<string> & {
        payload: PT;
    };
}, loadWebhookIsActive: {
    type: string;
} & {
    match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
        payload: unknown;
    };
} & {
    (payload?: undefined): import("redux").Action<string> & {
        payload: undefined;
    };
    <PT extends unknown>(payload?: PT | undefined): import("redux").Action<string> & {
        payload: PT;
    };
};
export declare const allSagaState: ({ context, ...state }: WebHooksState) => {
    events: IEventsProps[];
    headerProps: IHeaderProps[];
    webhooks: IWebhook[];
    webhookLogs: IWebHookLog[];
    isLoading: boolean;
    webhookLogsCount: number;
    successAddOrUpdate: boolean;
    limitTableLogsSize: number;
    isTesting: boolean;
    testResult: Record<string, string> | null;
    error?: {
        [key: string]: string;
    } | undefined;
};
export declare const sagaState: (state: WebHooksState) => {
    state: {
        events: IEventsProps[];
        headerProps: IHeaderProps[];
        webhooks: IWebhook[];
        webhookLogs: IWebHookLog[];
        isLoading: boolean;
        webhookLogsCount: number;
        successAddOrUpdate: boolean;
        limitTableLogsSize: number;
        isTesting: boolean;
        testResult: Record<string, string> | null;
        error?: {
            [key: string]: string;
        } | undefined;
    };
};
export declare const allSagaActions: (dispatch: Dispatch<import("redux").AnyAction>) => {
    initData: {
        type: string;
    } & {
        match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
            payload: void | undefined;
        };
    } & {
        (payload?: undefined): import("redux").Action<string> & {
            payload: undefined;
        };
        <PT extends void>(payload?: PT | undefined): import("redux").Action<string> & {
            payload: PT;
        };
    };
    deleteWebhookAction: {
        type: string;
    } & {
        match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
            payload: string;
        };
    } & (<PT_1 extends string>(payload: PT_1) => import("redux").Action<string> & {
        payload: PT_1;
    });
    addWebhookAction: {
        type: string;
    } & {
        match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
            payload: FormikValues;
        };
    } & (<PT_2 extends FormikValues>(payload: PT_2) => import("redux").Action<string> & {
        payload: PT_2;
    });
    updateWebhookAction: {
        type: string;
    } & {
        match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
            payload: FormikValues;
        };
    } & (<PT_2 extends FormikValues>(payload: PT_2) => import("redux").Action<string> & {
        payload: PT_2;
    });
    updateWebhookIsActiveAction: {
        type: string;
    } & {
        match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
            payload: IWebhook;
        };
    } & (<PT_3 extends IWebhook>(payload: PT_3) => import("redux").Action<string> & {
        payload: PT_3;
    });
    setContext: {
        type: string;
    } & {
        match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
            payload: unknown;
        };
    } & {
        (payload?: undefined): import("redux").Action<string> & {
            payload: undefined;
        };
        <PT_4 extends unknown>(payload?: PT_4 | undefined): import("redux").Action<string> & {
            payload: PT_4;
        };
    };
    startLoading: {
        type: string;
    } & {
        match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
            payload: undefined;
        };
    } & (() => import("redux").Action<string> & {
        payload: undefined;
    });
    finishLoading: {
        type: string;
    } & {
        match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
            payload: undefined;
        };
    } & (() => import("redux").Action<string> & {
        payload: undefined;
    });
    loadWebhookLogsSuccess: {
        type: string;
    } & {
        match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
            payload: {
                row: IWebHookLog[];
                count: number;
            };
        };
    } & ((row: IWebHookLog[], count: number) => import("redux").Action<string> & {
        payload: {
            row: IWebHookLog[];
            count: number;
        };
    });
    addOrUpdateWebhookSuccessAction: {
        type: string;
    } & {
        match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
            payload: unknown;
        };
    } & {
        (payload?: undefined): import("redux").Action<string> & {
            payload: undefined;
        };
        <PT_4 extends unknown>(payload?: PT_4 | undefined): import("redux").Action<string> & {
            payload: PT_4;
        };
    };
    loadWebhookLogsAction: {
        type: string;
    } & {
        match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
            payload: Record<string, string>;
        };
    } & ((payload: Record<string, string>) => import("redux").Action<string> & {
        payload: Record<string, string>;
    });
    loadWebhooksSuccess: {
        type: string;
    } & {
        match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
            payload: unknown;
        };
    } & {
        (payload?: undefined): import("redux").Action<string> & {
            payload: undefined;
        };
        <PT_4 extends unknown>(payload?: PT_4 | undefined): import("redux").Action<string> & {
            payload: PT_4;
        };
    };
    loadWebhookIsActive: {
        type: string;
    } & {
        match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
            payload: unknown;
        };
    } & {
        (payload?: undefined): import("redux").Action<string> & {
            payload: undefined;
        };
        <PT_4 extends unknown>(payload?: PT_4 | undefined): import("redux").Action<string> & {
            payload: PT_4;
        };
    };
    loadEventsSuccess: {
        type: string;
    } & {
        match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
            payload: unknown;
        };
    } & {
        (payload?: undefined): import("redux").Action<string> & {
            payload: undefined;
        };
        <PT_4 extends unknown>(payload?: PT_4 | undefined): import("redux").Action<string> & {
            payload: PT_4;
        };
    };
    loadFailedAction: {
        type: string;
    } & {
        match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
            payload: unknown;
        };
    } & {
        (payload?: undefined): import("redux").Action<string> & {
            payload: undefined;
        };
        <PT_4 extends unknown>(payload?: PT_4 | undefined): import("redux").Action<string> & {
            payload: PT_4;
        };
    };
    dismissErrorAction: {
        type: string;
    } & {
        match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
            payload: undefined;
        };
    } & (() => import("redux").Action<string> & {
        payload: undefined;
    });
    testWebhookResultAction: {
        type: string;
    } & {
        match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
            payload: unknown;
        };
    } & {
        (payload?: undefined): import("redux").Action<string> & {
            payload: undefined;
        };
        <PT_4 extends unknown>(payload?: PT_4 | undefined): import("redux").Action<string> & {
            payload: PT_4;
        };
    };
    testWebhookAction: {
        type: string;
    } & {
        match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
            payload: ITestWebhookData;
        };
    } & ((payload: ITestWebhookData) => import("redux").Action<string> & {
        payload: ITestWebhookData;
    });
};
export declare const sagaActions: (dispatch: Dispatch<import("redux").AnyAction>) => {
    actions: {
        initData: {
            type: string;
        } & {
            match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
                payload: void | undefined;
            };
        } & {
            (payload?: undefined): import("redux").Action<string> & {
                payload: undefined;
            };
            <PT extends void>(payload?: PT | undefined): import("redux").Action<string> & {
                payload: PT;
            };
        };
        deleteWebhookAction: {
            type: string;
        } & {
            match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
                payload: string;
            };
        } & (<PT_1 extends string>(payload: PT_1) => import("redux").Action<string> & {
            payload: PT_1;
        });
        addWebhookAction: {
            type: string;
        } & {
            match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
                payload: FormikValues;
            };
        } & (<PT_2 extends FormikValues>(payload: PT_2) => import("redux").Action<string> & {
            payload: PT_2;
        });
        updateWebhookAction: {
            type: string;
        } & {
            match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
                payload: FormikValues;
            };
        } & (<PT_2 extends FormikValues>(payload: PT_2) => import("redux").Action<string> & {
            payload: PT_2;
        });
        updateWebhookIsActiveAction: {
            type: string;
        } & {
            match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
                payload: IWebhook;
            };
        } & (<PT_3 extends IWebhook>(payload: PT_3) => import("redux").Action<string> & {
            payload: PT_3;
        });
        setContext: {
            type: string;
        } & {
            match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
                payload: unknown;
            };
        } & {
            (payload?: undefined): import("redux").Action<string> & {
                payload: undefined;
            };
            <PT_4 extends unknown>(payload?: PT_4 | undefined): import("redux").Action<string> & {
                payload: PT_4;
            };
        };
        startLoading: {
            type: string;
        } & {
            match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
                payload: undefined;
            };
        } & (() => import("redux").Action<string> & {
            payload: undefined;
        });
        finishLoading: {
            type: string;
        } & {
            match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
                payload: undefined;
            };
        } & (() => import("redux").Action<string> & {
            payload: undefined;
        });
        loadWebhookLogsSuccess: {
            type: string;
        } & {
            match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
                payload: {
                    row: IWebHookLog[];
                    count: number;
                };
            };
        } & ((row: IWebHookLog[], count: number) => import("redux").Action<string> & {
            payload: {
                row: IWebHookLog[];
                count: number;
            };
        });
        addOrUpdateWebhookSuccessAction: {
            type: string;
        } & {
            match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
                payload: unknown;
            };
        } & {
            (payload?: undefined): import("redux").Action<string> & {
                payload: undefined;
            };
            <PT_4 extends unknown>(payload?: PT_4 | undefined): import("redux").Action<string> & {
                payload: PT_4;
            };
        };
        loadWebhookLogsAction: {
            type: string;
        } & {
            match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
                payload: Record<string, string>;
            };
        } & ((payload: Record<string, string>) => import("redux").Action<string> & {
            payload: Record<string, string>;
        });
        loadWebhooksSuccess: {
            type: string;
        } & {
            match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
                payload: unknown;
            };
        } & {
            (payload?: undefined): import("redux").Action<string> & {
                payload: undefined;
            };
            <PT_4 extends unknown>(payload?: PT_4 | undefined): import("redux").Action<string> & {
                payload: PT_4;
            };
        };
        loadWebhookIsActive: {
            type: string;
        } & {
            match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
                payload: unknown;
            };
        } & {
            (payload?: undefined): import("redux").Action<string> & {
                payload: undefined;
            };
            <PT_4 extends unknown>(payload?: PT_4 | undefined): import("redux").Action<string> & {
                payload: PT_4;
            };
        };
        loadEventsSuccess: {
            type: string;
        } & {
            match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
                payload: unknown;
            };
        } & {
            (payload?: undefined): import("redux").Action<string> & {
                payload: undefined;
            };
            <PT_4 extends unknown>(payload?: PT_4 | undefined): import("redux").Action<string> & {
                payload: PT_4;
            };
        };
        loadFailedAction: {
            type: string;
        } & {
            match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
                payload: unknown;
            };
        } & {
            (payload?: undefined): import("redux").Action<string> & {
                payload: undefined;
            };
            <PT_4 extends unknown>(payload?: PT_4 | undefined): import("redux").Action<string> & {
                payload: PT_4;
            };
        };
        dismissErrorAction: {
            type: string;
        } & {
            match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
                payload: undefined;
            };
        } & (() => import("redux").Action<string> & {
            payload: undefined;
        });
        testWebhookResultAction: {
            type: string;
        } & {
            match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
                payload: unknown;
            };
        } & {
            (payload?: undefined): import("redux").Action<string> & {
                payload: undefined;
            };
            <PT_4 extends unknown>(payload?: PT_4 | undefined): import("redux").Action<string> & {
                payload: PT_4;
            };
        };
        testWebhookAction: {
            type: string;
        } & {
            match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
                payload: ITestWebhookData;
            };
        } & ((payload: ITestWebhookData) => import("redux").Action<string> & {
            payload: ITestWebhookData;
        });
    };
};
//# sourceMappingURL=reducer.d.ts.map