import React from 'react';
import { IWebhook } from './types/webhooks';
import { FormikValues } from 'formik';
import { Dispatch } from 'redux';
import { RouteComponentProps } from 'react-router-dom';
import { WebHooksState } from './reducer';
interface MatchParams {
    id?: string;
}
interface WebHooksFormContainerProps extends RouteComponentProps<MatchParams> {
}
interface WebHooksFormContainerState {
    editMode: boolean;
    activeIndex?: number | string;
}
declare class WebHooksFormContainer extends React.Component<WebHooksFormContainerProps & TMapDispatchToProps & TMapStateToProps, WebHooksFormContainerState> {
    state: {
        editMode: boolean;
        activeIndex: number;
    };
    componentDidMount(): void;
    prepareInitialValues: (webhook: IWebhook | undefined, eventsFields: {}) => {
        displayName: string;
        description: string;
        url: string;
        secret: string;
    };
    prepareWebhook: (values: FormikValues) => {
        _id?: string;
        displayName: any;
        description: any;
        url: any;
        secret: any;
        eventKeys: string[];
    };
    render(): JSX.Element;
}
declare const mapStateToProps: (state: WebHooksState) => {
    error: {
        [key: string]: string;
    } | undefined;
    events: import("./types/eventProps").IEventsProps[];
    webhooks: {
        eventKeys: any;
        _id: string;
        displayName: string;
        description: string;
        url: string;
        secret: string;
        invocations: {
            count: string;
            period: string;
            percents: string;
        };
        createdAt: string;
        updatedAt: string;
        isActive: boolean;
    }[];
    isTesting: boolean;
    isLoading: boolean;
    testResult: Record<string, string> | null;
    webhookLogs: import("./types/webhooks").IWebHookLog[];
    webhookLogsCount: number;
    successAddOrUpdate: boolean;
    limitTableLogsSize: number;
};
declare const mapDispatchProps: (dispatch: Dispatch<import("redux").AnyAction>) => {
    addWebhookAction: {
        type: string;
    } & {
        match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
            payload: FormikValues;
        };
    } & (<PT extends FormikValues>(payload: PT) => import("redux").Action<string> & {
        payload: PT;
    });
    testWebhookAction: {
        type: string;
    } & {
        match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
            payload: import("./reducer").ITestWebhookData;
        };
    } & ((payload: import("./reducer").ITestWebhookData) => import("redux").Action<string> & {
        payload: import("./reducer").ITestWebhookData;
    });
    testWebhookResultAction: {
        type: string;
    } & {
        match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
            payload: unknown;
        };
    } & {
        (payload?: undefined): import("redux").Action<string> & {
            payload: undefined;
        };
        <PT_1 extends unknown>(payload?: PT_1 | undefined): import("redux").Action<string> & {
            payload: PT_1;
        };
    };
    updateWebhookAction: {
        type: string;
    } & {
        match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
            payload: FormikValues;
        };
    } & (<PT extends FormikValues>(payload: PT) => import("redux").Action<string> & {
        payload: PT;
    });
    loadWebhookLogsAction: {
        type: string;
    } & {
        match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
            payload: Record<string, string>;
        };
    } & ((payload: Record<string, string>) => import("redux").Action<string> & {
        payload: Record<string, string>;
    });
};
declare type TMapDispatchToProps = ReturnType<typeof mapDispatchProps>;
declare type TMapStateToProps = ReturnType<typeof mapStateToProps>;
declare const _default: import("react-redux").ConnectedComponent<typeof WebHooksFormContainer, Pick<WebHooksFormContainerProps & {
    addWebhookAction: {
        type: string;
    } & {
        match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
            payload: FormikValues;
        };
    } & (<PT extends FormikValues>(payload: PT) => import("redux").Action<string> & {
        payload: PT;
    });
    testWebhookAction: {
        type: string;
    } & {
        match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
            payload: import("./reducer").ITestWebhookData;
        };
    } & ((payload: import("./reducer").ITestWebhookData) => import("redux").Action<string> & {
        payload: import("./reducer").ITestWebhookData;
    });
    testWebhookResultAction: {
        type: string;
    } & {
        match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
            payload: unknown;
        };
    } & {
        (payload?: undefined): import("redux").Action<string> & {
            payload: undefined;
        };
        <PT_1 extends unknown>(payload?: PT_1 | undefined): import("redux").Action<string> & {
            payload: PT_1;
        };
    };
    updateWebhookAction: {
        type: string;
    } & {
        match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
            payload: FormikValues;
        };
    } & (<PT extends FormikValues>(payload: PT) => import("redux").Action<string> & {
        payload: PT;
    });
    loadWebhookLogsAction: {
        type: string;
    } & {
        match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
            payload: Record<string, string>;
        };
    } & ((payload: Record<string, string>) => import("redux").Action<string> & {
        payload: Record<string, string>;
    });
} & {
    error: {
        [key: string]: string;
    } | undefined;
    events: import("./types/eventProps").IEventsProps[];
    webhooks: {
        eventKeys: any;
        _id: string;
        displayName: string;
        description: string;
        url: string;
        secret: string;
        invocations: {
            count: string;
            period: string;
            percents: string;
        };
        createdAt: string;
        updatedAt: string;
        isActive: boolean;
    }[];
    isTesting: boolean;
    isLoading: boolean;
    testResult: Record<string, string> | null;
    webhookLogs: import("./types/webhooks").IWebHookLog[];
    webhookLogsCount: number;
    successAddOrUpdate: boolean;
    limitTableLogsSize: number;
}, "history" | "location" | "match" | "staticContext"> & WebHooksFormContainerProps>;
export default _default;
//# sourceMappingURL=webhooks-form-container.d.ts.map