import React from 'react';
import { IEventsProps } from './types/eventProps';
import { FormikValues } from 'formik';
interface ILogsState {
    mountNode: Node | null;
    testResult: string | null;
}
interface WebHooksFormProps {
    success: boolean;
    buttonText: string;
    events: IEventsProps[];
    formikValues: FormikValues;
    isTesting: boolean;
    testResult: Record<string, string> | null;
    onCloseResult(): void;
    testFunction: (url: string, secret: string) => void;
    error?: {
        [key: string]: string;
    };
}
export declare class WebHooksForm extends React.Component<WebHooksFormProps> {
    state: ILogsState;
    componentDidMount(): void;
    componentDidUpdate({ testResult }: WebHooksFormProps): void;
    validateStatus: (status: React.ReactText) => "Success" | "Failed";
    render(): JSX.Element;
}
export {};
//# sourceMappingURL=webhooks-form.d.ts.map