import { FC } from 'react';
export declare type ITableCell<T, P = T[keyof T], ID = string> = {
    value: P;
    id: ID;
    index: number;
    rowData: () => T;
    column: ITableColumns<T, ID>;
};
export interface ITableColumns<T, ID = string> {
    name: keyof T;
    displayName: string;
    isSortable?: boolean;
    isFiltarable?: boolean;
    Cell: FC<ITableCell<T, any, ID>>;
}
export interface ITable<T = any, ID = string> {
    classes?: {
        table?: string;
        headerRow?: string;
        headerCell?: string;
        bodyRow?: string;
        bodyCell?: string;
    };
    columns?: ITableColumns<T, ID>[];
    rows: T[];
    rowKey?: string;
}
//# sourceMappingURL=interfaces.d.ts.map