import { ContextOptions } from '../providers/context';
export interface LoadDataType<T = null> {
    loading?: boolean;
    error?: string | null;
    data: T;
    count?: number;
}
export declare type LoadingTypes<T> = {
    name: keyof Omit<T, 'context'>;
    value: any;
};
export interface CommonPluginState {
    context: ContextOptions | null;
}
export declare const defaultReducerActions: <S>() => {
    setContext: (state: S, { payload: context }: import("redux").Action<string> & {
        payload: ContextOptions | null;
    }) => S & {
        context: ContextOptions | null;
    };
    setFailed: {
        prepare: (payload: LoadingTypes<S>) => {
            payload: LoadingTypes<S>;
        };
        reducer: (state: S, { payload }: import("redux").Action<string> & {
            payload: LoadingTypes<S>;
        }) => S & {
            [x: string]: {
                error: any;
            };
        };
    };
    setLoading: {
        prepare: (payload: LoadingTypes<S>) => {
            payload: LoadingTypes<S>;
        };
        reducer: (state: S, { payload }: import("redux").Action<string> & {
            payload: LoadingTypes<S>;
        }) => S & {
            [x: string]: {
                loading: any;
            };
        };
    };
};
export declare const createDataTypeReducerAction: <S, P>(key: keyof S) => {
    prepare: (payload: P) => {
        payload: P;
    };
    reducer: (state: S, { payload: data }: import("redux").Action<string> & {
        payload: P;
    }) => S & {
        [x: string]: S[keyof S] & {
            error: null;
            data: P;
        };
    };
};
export declare const createUpdateSingleReducerAction: <S, P>(key: keyof S, id: keyof P) => {
    prepare: (payload: Partial<P>) => {
        payload: Partial<P>;
    };
    reducer: (state: S, { payload: data }: import("redux").Action<string> & {
        payload: Partial<P>;
    }) => S & {
        [x: string]: S[keyof S] & {
            data: P[];
        };
    };
};
export declare const createRemoveSingleReducerAction: <S, P>(key: keyof S, id: keyof P) => {
    prepare: (payload: P) => {
        payload: P;
    };
    reducer: (state: S, { payload: data }: import("redux").Action<string> & {
        payload: P;
    }) => S & {
        [x: string]: S[keyof S] & {
            data: P[];
        };
    };
};
export declare const createDataPaginationTypeReducerAction: <S, P>(key: keyof S) => {
    prepare: (payload: {
        data: P;
        count: number;
    }) => {
        payload: {
            data: P;
            count: number;
        };
    };
    reducer: (state: S, { payload }: import("redux").Action<string> & {
        payload: {
            data: P;
            count: number;
        };
    }) => S & {
        [x: string]: S[keyof S] & {
            data: P;
            count: number;
            error: null;
        };
    };
};
export declare const defaultLoadDataType: (p?: Partial<LoadDataType<any>>) => {
    loading: boolean;
    error: string | null;
    data: any;
    count?: number | undefined;
};
export declare function getContextFromRedux(): Generator<import("redux-saga/effects").SelectEffect | import("redux-saga/effects").CallEffect<true>, ContextOptions, {
    context: any;
}>;
//# sourceMappingURL=sagaHelpers.d.ts.map