import React from 'react';
import { sagaState, sagaActions, allSagaActions, allSagaState } from './state/saga';
import { CommonApiProps, RequirePartial } from '../../providers';
declare type sagaTypes = ReturnType<typeof allSagaState> & ReturnType<typeof allSagaActions>;
export declare type IReportsApi = CommonApiProps & RequirePartial<sagaTypes, sagaTypes>;
export declare type IReportsContextValue = CommonApiProps & ReturnType<typeof sagaState> & ReturnType<typeof sagaActions>;
declare const Provider: React.Provider<IReportsContextValue>, Consumer: React.Consumer<IReportsContextValue>;
export { Provider as ReportsContext, Consumer as ReportsConsumer };
export declare const withReportsApi: <P extends {}, X>(Component: React.ComponentType<P>, selectors: (selectors: IReportsContextValue) => X) => {
    new (props: Readonly<Pick<P, Exclude<keyof P, keyof X>>>): {
        render(): JSX.Element;
        context: any;
        setState<K extends never>(state: {} | ((prevState: Readonly<{}>, props: Readonly<Pick<P, Exclude<keyof P, keyof X>>>) => {} | Pick<{}, K> | null) | Pick<{}, K> | null, callback?: (() => void) | undefined): void;
        forceUpdate(callback?: (() => void) | undefined): void;
        readonly props: Readonly<Pick<P, Exclude<keyof P, keyof X>>> & Readonly<{
            children?: React.ReactNode;
        }>;
        state: Readonly<{}>;
        refs: {
            [key: string]: React.ReactInstance;
        };
        componentDidMount?(): void;
        shouldComponentUpdate?(nextProps: Readonly<Pick<P, Exclude<keyof P, keyof X>>>, nextState: Readonly<{}>, nextContext: any): boolean;
        componentWillUnmount?(): void;
        componentDidCatch?(error: Error, errorInfo: React.ErrorInfo): void;
        getSnapshotBeforeUpdate?(prevProps: Readonly<Pick<P, Exclude<keyof P, keyof X>>>, prevState: Readonly<{}>): any;
        componentDidUpdate?(prevProps: Readonly<Pick<P, Exclude<keyof P, keyof X>>>, prevState: Readonly<{}>, snapshot?: any): void;
        componentWillMount?(): void;
        UNSAFE_componentWillMount?(): void;
        componentWillReceiveProps?(nextProps: Readonly<Pick<P, Exclude<keyof P, keyof X>>>, nextContext: any): void;
        UNSAFE_componentWillReceiveProps?(nextProps: Readonly<Pick<P, Exclude<keyof P, keyof X>>>, nextContext: any): void;
        componentWillUpdate?(nextProps: Readonly<Pick<P, Exclude<keyof P, keyof X>>>, nextState: Readonly<{}>, nextContext: any): void;
        UNSAFE_componentWillUpdate?(nextProps: Readonly<Pick<P, Exclude<keyof P, keyof X>>>, nextState: Readonly<{}>, nextContext: any): void;
    };
    new (props: Pick<P, Exclude<keyof P, keyof X>>, context?: any): {
        render(): JSX.Element;
        context: any;
        setState<K extends never>(state: {} | ((prevState: Readonly<{}>, props: Readonly<Pick<P, Exclude<keyof P, keyof X>>>) => {} | Pick<{}, K> | null) | Pick<{}, K> | null, callback?: (() => void) | undefined): void;
        forceUpdate(callback?: (() => void) | undefined): void;
        readonly props: Readonly<Pick<P, Exclude<keyof P, keyof X>>> & Readonly<{
            children?: React.ReactNode;
        }>;
        state: Readonly<{}>;
        refs: {
            [key: string]: React.ReactInstance;
        };
        componentDidMount?(): void;
        shouldComponentUpdate?(nextProps: Readonly<Pick<P, Exclude<keyof P, keyof X>>>, nextState: Readonly<{}>, nextContext: any): boolean;
        componentWillUnmount?(): void;
        componentDidCatch?(error: Error, errorInfo: React.ErrorInfo): void;
        getSnapshotBeforeUpdate?(prevProps: Readonly<Pick<P, Exclude<keyof P, keyof X>>>, prevState: Readonly<{}>): any;
        componentDidUpdate?(prevProps: Readonly<Pick<P, Exclude<keyof P, keyof X>>>, prevState: Readonly<{}>, snapshot?: any): void;
        componentWillMount?(): void;
        UNSAFE_componentWillMount?(): void;
        componentWillReceiveProps?(nextProps: Readonly<Pick<P, Exclude<keyof P, keyof X>>>, nextContext: any): void;
        UNSAFE_componentWillReceiveProps?(nextProps: Readonly<Pick<P, Exclude<keyof P, keyof X>>>, nextContext: any): void;
        componentWillUpdate?(nextProps: Readonly<Pick<P, Exclude<keyof P, keyof X>>>, nextState: Readonly<{}>, nextContext: any): void;
        UNSAFE_componentWillUpdate?(nextProps: Readonly<Pick<P, Exclude<keyof P, keyof X>>>, nextState: Readonly<{}>, nextContext: any): void;
    };
    displayName: string;
    contextType?: React.Context<any> | undefined;
};
//# sourceMappingURL=ReportsContext.d.ts.map