import React, { FunctionComponent } from 'react';
import { ITable, ITableCell } from '../../../../elements';
import { IReportRecord } from '../../../../api/ReportsApi';
export interface IReportsTableComponents<T> {
    TitleCell?: FunctionComponent<ITableCell<T>>;
    ScheduleCell?: FunctionComponent<ITableCell<T>>;
    StatusCell?: FunctionComponent<ITableCell<T>>;
    LastGenerationsCell?: FunctionComponent<ITableCell<T>>;
    CreatedAtCell?: FunctionComponent<ITableCell<T>>;
    ActionsCell?: FunctionComponent<ITableCell<T>>;
}
export interface IReportsTable extends Omit<ITable<IReportRecord>, 'rows'> {
    components?: IReportsTableComponents<IReportRecord>;
}
export declare const ReportsTable: {
    new (props: Readonly<Pick<IReportsTable & {
        reports: import("../../../../helpers/sagaHelpers").LoadDataType<IReportRecord[]>;
    }, "classes" | "columns" | "rowKey" | "components">>): {
        render(): JSX.Element;
        context: any;
        setState<K extends never>(state: {} | ((prevState: Readonly<{}>, props: Readonly<Pick<IReportsTable & {
            reports: import("../../../../helpers/sagaHelpers").LoadDataType<IReportRecord[]>;
        }, "classes" | "columns" | "rowKey" | "components">>) => {} | Pick<{}, K> | null) | Pick<{}, K> | null, callback?: (() => void) | undefined): void;
        forceUpdate(callback?: (() => void) | undefined): void;
        readonly props: Readonly<Pick<IReportsTable & {
            reports: import("../../../../helpers/sagaHelpers").LoadDataType<IReportRecord[]>;
        }, "classes" | "columns" | "rowKey" | "components">> & Readonly<{
            children?: React.ReactNode;
        }>;
        state: Readonly<{}>;
        refs: {
            [key: string]: React.ReactInstance;
        };
        componentDidMount?(): void;
        shouldComponentUpdate?(nextProps: Readonly<Pick<IReportsTable & {
            reports: import("../../../../helpers/sagaHelpers").LoadDataType<IReportRecord[]>;
        }, "classes" | "columns" | "rowKey" | "components">>, nextState: Readonly<{}>, nextContext: any): boolean;
        componentWillUnmount?(): void;
        componentDidCatch?(error: Error, errorInfo: React.ErrorInfo): void;
        getSnapshotBeforeUpdate?(prevProps: Readonly<Pick<IReportsTable & {
            reports: import("../../../../helpers/sagaHelpers").LoadDataType<IReportRecord[]>;
        }, "classes" | "columns" | "rowKey" | "components">>, prevState: Readonly<{}>): any;
        componentDidUpdate?(prevProps: Readonly<Pick<IReportsTable & {
            reports: import("../../../../helpers/sagaHelpers").LoadDataType<IReportRecord[]>;
        }, "classes" | "columns" | "rowKey" | "components">>, prevState: Readonly<{}>, snapshot?: any): void;
        componentWillMount?(): void;
        UNSAFE_componentWillMount?(): void;
        componentWillReceiveProps?(nextProps: Readonly<Pick<IReportsTable & {
            reports: import("../../../../helpers/sagaHelpers").LoadDataType<IReportRecord[]>;
        }, "classes" | "columns" | "rowKey" | "components">>, nextContext: any): void;
        UNSAFE_componentWillReceiveProps?(nextProps: Readonly<Pick<IReportsTable & {
            reports: import("../../../../helpers/sagaHelpers").LoadDataType<IReportRecord[]>;
        }, "classes" | "columns" | "rowKey" | "components">>, nextContext: any): void;
        componentWillUpdate?(nextProps: Readonly<Pick<IReportsTable & {
            reports: import("../../../../helpers/sagaHelpers").LoadDataType<IReportRecord[]>;
        }, "classes" | "columns" | "rowKey" | "components">>, nextState: Readonly<{}>, nextContext: any): void;
        UNSAFE_componentWillUpdate?(nextProps: Readonly<Pick<IReportsTable & {
            reports: import("../../../../helpers/sagaHelpers").LoadDataType<IReportRecord[]>;
        }, "classes" | "columns" | "rowKey" | "components">>, nextState: Readonly<{}>, nextContext: any): void;
    };
    new (props: Pick<IReportsTable & {
        reports: import("../../../../helpers/sagaHelpers").LoadDataType<IReportRecord[]>;
    }, "classes" | "columns" | "rowKey" | "components">, context?: any): {
        render(): JSX.Element;
        context: any;
        setState<K extends never>(state: {} | ((prevState: Readonly<{}>, props: Readonly<Pick<IReportsTable & {
            reports: import("../../../../helpers/sagaHelpers").LoadDataType<IReportRecord[]>;
        }, "classes" | "columns" | "rowKey" | "components">>) => {} | Pick<{}, K> | null) | Pick<{}, K> | null, callback?: (() => void) | undefined): void;
        forceUpdate(callback?: (() => void) | undefined): void;
        readonly props: Readonly<Pick<IReportsTable & {
            reports: import("../../../../helpers/sagaHelpers").LoadDataType<IReportRecord[]>;
        }, "classes" | "columns" | "rowKey" | "components">> & Readonly<{
            children?: React.ReactNode;
        }>;
        state: Readonly<{}>;
        refs: {
            [key: string]: React.ReactInstance;
        };
        componentDidMount?(): void;
        shouldComponentUpdate?(nextProps: Readonly<Pick<IReportsTable & {
            reports: import("../../../../helpers/sagaHelpers").LoadDataType<IReportRecord[]>;
        }, "classes" | "columns" | "rowKey" | "components">>, nextState: Readonly<{}>, nextContext: any): boolean;
        componentWillUnmount?(): void;
        componentDidCatch?(error: Error, errorInfo: React.ErrorInfo): void;
        getSnapshotBeforeUpdate?(prevProps: Readonly<Pick<IReportsTable & {
            reports: import("../../../../helpers/sagaHelpers").LoadDataType<IReportRecord[]>;
        }, "classes" | "columns" | "rowKey" | "components">>, prevState: Readonly<{}>): any;
        componentDidUpdate?(prevProps: Readonly<Pick<IReportsTable & {
            reports: import("../../../../helpers/sagaHelpers").LoadDataType<IReportRecord[]>;
        }, "classes" | "columns" | "rowKey" | "components">>, prevState: Readonly<{}>, snapshot?: any): void;
        componentWillMount?(): void;
        UNSAFE_componentWillMount?(): void;
        componentWillReceiveProps?(nextProps: Readonly<Pick<IReportsTable & {
            reports: import("../../../../helpers/sagaHelpers").LoadDataType<IReportRecord[]>;
        }, "classes" | "columns" | "rowKey" | "components">>, nextContext: any): void;
        UNSAFE_componentWillReceiveProps?(nextProps: Readonly<Pick<IReportsTable & {
            reports: import("../../../../helpers/sagaHelpers").LoadDataType<IReportRecord[]>;
        }, "classes" | "columns" | "rowKey" | "components">>, nextContext: any): void;
        componentWillUpdate?(nextProps: Readonly<Pick<IReportsTable & {
            reports: import("../../../../helpers/sagaHelpers").LoadDataType<IReportRecord[]>;
        }, "classes" | "columns" | "rowKey" | "components">>, nextState: Readonly<{}>, nextContext: any): void;
        UNSAFE_componentWillUpdate?(nextProps: Readonly<Pick<IReportsTable & {
            reports: import("../../../../helpers/sagaHelpers").LoadDataType<IReportRecord[]>;
        }, "classes" | "columns" | "rowKey" | "components">>, nextState: Readonly<{}>, nextContext: any): void;
    };
    displayName: string;
    contextType?: React.Context<any> | undefined;
};
//# sourceMappingURL=ReportsTable.d.ts.map