import React from 'react';
import { IPageHeader } from '../../../../components/PageHeader';
import { RouteComponentProps } from 'react-router-dom';
import { IReportGenerateTab } from './ReportGenerateTab';
import { IReportScheduleTab } from './ReportScheduleTab';
import { IframeProps } from '../../../../elements/Iframe';
import { ComponentsTypesWithProps } from '../../../../providers/DynamicComponent';
declare type Components = {
    PageHeader: IPageHeader;
    ReportGenerateTab: IReportGenerateTab;
    ReportScheduleTab: IReportScheduleTab;
    Iframe: IframeProps;
};
export interface IReportsPreviewPage {
    components?: ComponentsTypesWithProps<Components>;
}
export declare const ReportsPreviewPage: React.ComponentClass<Pick<Pick<IReportsPreviewPage & {
    reportById: import("../../../../helpers/sagaHelpers").LoadDataType<import("../../../../api/ReportsApi").IReportRecord | null>;
    renderedReportById: import("../../../../helpers/sagaHelpers").LoadDataType<import("../../../../api/ReportsApi").IRenderReportResult | null>;
    loadReportById: {
        type: string;
    } & {
        match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
            payload: string;
        };
    } & ((payload: string) => import("redux").Action<string> & {
        payload: string;
    });
    renderReportById: {
        type: string;
    } & {
        match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
            payload: import("../../../../api/ReportsApi").IRenderReportsConfig;
        };
    } & ((payload: import("../../../../api/ReportsApi").IRenderReportsConfig) => import("redux").Action<string> & {
        payload: import("../../../../api/ReportsApi").IRenderReportsConfig;
    });
} & RouteComponentProps<{
    idx: string;
}, import("react-router").StaticContext, any>, "components" | "history" | "location" | "match" | "staticContext">, "components">, any> & import("react-router").WithRouterStatics<{
    new (props: Readonly<Pick<IReportsPreviewPage & {
        reportById: import("../../../../helpers/sagaHelpers").LoadDataType<import("../../../../api/ReportsApi").IReportRecord | null>;
        renderedReportById: import("../../../../helpers/sagaHelpers").LoadDataType<import("../../../../api/ReportsApi").IRenderReportResult | null>;
        loadReportById: {
            type: string;
        } & {
            match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
                payload: string;
            };
        } & ((payload: string) => import("redux").Action<string> & {
            payload: string;
        });
        renderReportById: {
            type: string;
        } & {
            match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
                payload: import("../../../../api/ReportsApi").IRenderReportsConfig;
            };
        } & ((payload: import("../../../../api/ReportsApi").IRenderReportsConfig) => import("redux").Action<string> & {
            payload: import("../../../../api/ReportsApi").IRenderReportsConfig;
        });
    } & RouteComponentProps<{
        idx: string;
    }, import("react-router").StaticContext, any>, "components" | "history" | "location" | "match" | "staticContext">>): {
        render(): JSX.Element;
        context: any;
        setState<K extends never>(state: {} | ((prevState: Readonly<{}>, props: Readonly<Pick<IReportsPreviewPage & {
            reportById: import("../../../../helpers/sagaHelpers").LoadDataType<import("../../../../api/ReportsApi").IReportRecord | null>;
            renderedReportById: import("../../../../helpers/sagaHelpers").LoadDataType<import("../../../../api/ReportsApi").IRenderReportResult | null>;
            loadReportById: {
                type: string;
            } & {
                match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
                    payload: string;
                };
            } & ((payload: string) => import("redux").Action<string> & {
                payload: string;
            });
            renderReportById: {
                type: string;
            } & {
                match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
                    payload: import("../../../../api/ReportsApi").IRenderReportsConfig;
                };
            } & ((payload: import("../../../../api/ReportsApi").IRenderReportsConfig) => import("redux").Action<string> & {
                payload: import("../../../../api/ReportsApi").IRenderReportsConfig;
            });
        } & RouteComponentProps<{
            idx: string;
        }, import("react-router").StaticContext, any>, "components" | "history" | "location" | "match" | "staticContext">>) => {} | Pick<{}, K> | null) | Pick<{}, K> | null, callback?: (() => void) | undefined): void;
        forceUpdate(callback?: (() => void) | undefined): void;
        readonly props: Readonly<Pick<IReportsPreviewPage & {
            reportById: import("../../../../helpers/sagaHelpers").LoadDataType<import("../../../../api/ReportsApi").IReportRecord | null>;
            renderedReportById: import("../../../../helpers/sagaHelpers").LoadDataType<import("../../../../api/ReportsApi").IRenderReportResult | null>;
            loadReportById: {
                type: string;
            } & {
                match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
                    payload: string;
                };
            } & ((payload: string) => import("redux").Action<string> & {
                payload: string;
            });
            renderReportById: {
                type: string;
            } & {
                match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
                    payload: import("../../../../api/ReportsApi").IRenderReportsConfig;
                };
            } & ((payload: import("../../../../api/ReportsApi").IRenderReportsConfig) => import("redux").Action<string> & {
                payload: import("../../../../api/ReportsApi").IRenderReportsConfig;
            });
        } & RouteComponentProps<{
            idx: string;
        }, import("react-router").StaticContext, any>, "components" | "history" | "location" | "match" | "staticContext">> & Readonly<{
            children?: React.ReactNode;
        }>;
        state: Readonly<{}>;
        refs: {
            [key: string]: React.ReactInstance;
        };
        componentDidMount?(): void;
        shouldComponentUpdate?(nextProps: Readonly<Pick<IReportsPreviewPage & {
            reportById: import("../../../../helpers/sagaHelpers").LoadDataType<import("../../../../api/ReportsApi").IReportRecord | null>;
            renderedReportById: import("../../../../helpers/sagaHelpers").LoadDataType<import("../../../../api/ReportsApi").IRenderReportResult | null>;
            loadReportById: {
                type: string;
            } & {
                match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
                    payload: string;
                };
            } & ((payload: string) => import("redux").Action<string> & {
                payload: string;
            });
            renderReportById: {
                type: string;
            } & {
                match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
                    payload: import("../../../../api/ReportsApi").IRenderReportsConfig;
                };
            } & ((payload: import("../../../../api/ReportsApi").IRenderReportsConfig) => import("redux").Action<string> & {
                payload: import("../../../../api/ReportsApi").IRenderReportsConfig;
            });
        } & RouteComponentProps<{
            idx: string;
        }, import("react-router").StaticContext, any>, "components" | "history" | "location" | "match" | "staticContext">>, nextState: Readonly<{}>, nextContext: any): boolean;
        componentWillUnmount?(): void;
        componentDidCatch?(error: Error, errorInfo: React.ErrorInfo): void;
        getSnapshotBeforeUpdate?(prevProps: Readonly<Pick<IReportsPreviewPage & {
            reportById: import("../../../../helpers/sagaHelpers").LoadDataType<import("../../../../api/ReportsApi").IReportRecord | null>;
            renderedReportById: import("../../../../helpers/sagaHelpers").LoadDataType<import("../../../../api/ReportsApi").IRenderReportResult | null>;
            loadReportById: {
                type: string;
            } & {
                match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
                    payload: string;
                };
            } & ((payload: string) => import("redux").Action<string> & {
                payload: string;
            });
            renderReportById: {
                type: string;
            } & {
                match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
                    payload: import("../../../../api/ReportsApi").IRenderReportsConfig;
                };
            } & ((payload: import("../../../../api/ReportsApi").IRenderReportsConfig) => import("redux").Action<string> & {
                payload: import("../../../../api/ReportsApi").IRenderReportsConfig;
            });
        } & RouteComponentProps<{
            idx: string;
        }, import("react-router").StaticContext, any>, "components" | "history" | "location" | "match" | "staticContext">>, prevState: Readonly<{}>): any;
        componentDidUpdate?(prevProps: Readonly<Pick<IReportsPreviewPage & {
            reportById: import("../../../../helpers/sagaHelpers").LoadDataType<import("../../../../api/ReportsApi").IReportRecord | null>;
            renderedReportById: import("../../../../helpers/sagaHelpers").LoadDataType<import("../../../../api/ReportsApi").IRenderReportResult | null>;
            loadReportById: {
                type: string;
            } & {
                match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
                    payload: string;
                };
            } & ((payload: string) => import("redux").Action<string> & {
                payload: string;
            });
            renderReportById: {
                type: string;
            } & {
                match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
                    payload: import("../../../../api/ReportsApi").IRenderReportsConfig;
                };
            } & ((payload: import("../../../../api/ReportsApi").IRenderReportsConfig) => import("redux").Action<string> & {
                payload: import("../../../../api/ReportsApi").IRenderReportsConfig;
            });
        } & RouteComponentProps<{
            idx: string;
        }, import("react-router").StaticContext, any>, "components" | "history" | "location" | "match" | "staticContext">>, prevState: Readonly<{}>, snapshot?: any): void;
        componentWillMount?(): void;
        UNSAFE_componentWillMount?(): void;
        componentWillReceiveProps?(nextProps: Readonly<Pick<IReportsPreviewPage & {
            reportById: import("../../../../helpers/sagaHelpers").LoadDataType<import("../../../../api/ReportsApi").IReportRecord | null>;
            renderedReportById: import("../../../../helpers/sagaHelpers").LoadDataType<import("../../../../api/ReportsApi").IRenderReportResult | null>;
            loadReportById: {
                type: string;
            } & {
                match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
                    payload: string;
                };
            } & ((payload: string) => import("redux").Action<string> & {
                payload: string;
            });
            renderReportById: {
                type: string;
            } & {
                match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
                    payload: import("../../../../api/ReportsApi").IRenderReportsConfig;
                };
            } & ((payload: import("../../../../api/ReportsApi").IRenderReportsConfig) => import("redux").Action<string> & {
                payload: import("../../../../api/ReportsApi").IRenderReportsConfig;
            });
        } & RouteComponentProps<{
            idx: string;
        }, import("react-router").StaticContext, any>, "components" | "history" | "location" | "match" | "staticContext">>, nextContext: any): void;
        UNSAFE_componentWillReceiveProps?(nextProps: Readonly<Pick<IReportsPreviewPage & {
            reportById: import("../../../../helpers/sagaHelpers").LoadDataType<import("../../../../api/ReportsApi").IReportRecord | null>;
            renderedReportById: import("../../../../helpers/sagaHelpers").LoadDataType<import("../../../../api/ReportsApi").IRenderReportResult | null>;
            loadReportById: {
                type: string;
            } & {
                match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
                    payload: string;
                };
            } & ((payload: string) => import("redux").Action<string> & {
                payload: string;
            });
            renderReportById: {
                type: string;
            } & {
                match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
                    payload: import("../../../../api/ReportsApi").IRenderReportsConfig;
                };
            } & ((payload: import("../../../../api/ReportsApi").IRenderReportsConfig) => import("redux").Action<string> & {
                payload: import("../../../../api/ReportsApi").IRenderReportsConfig;
            });
        } & RouteComponentProps<{
            idx: string;
        }, import("react-router").StaticContext, any>, "components" | "history" | "location" | "match" | "staticContext">>, nextContext: any): void;
        componentWillUpdate?(nextProps: Readonly<Pick<IReportsPreviewPage & {
            reportById: import("../../../../helpers/sagaHelpers").LoadDataType<import("../../../../api/ReportsApi").IReportRecord | null>;
            renderedReportById: import("../../../../helpers/sagaHelpers").LoadDataType<import("../../../../api/ReportsApi").IRenderReportResult | null>;
            loadReportById: {
                type: string;
            } & {
                match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
                    payload: string;
                };
            } & ((payload: string) => import("redux").Action<string> & {
                payload: string;
            });
            renderReportById: {
                type: string;
            } & {
                match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
                    payload: import("../../../../api/ReportsApi").IRenderReportsConfig;
                };
            } & ((payload: import("../../../../api/ReportsApi").IRenderReportsConfig) => import("redux").Action<string> & {
                payload: import("../../../../api/ReportsApi").IRenderReportsConfig;
            });
        } & RouteComponentProps<{
            idx: string;
        }, import("react-router").StaticContext, any>, "components" | "history" | "location" | "match" | "staticContext">>, nextState: Readonly<{}>, nextContext: any): void;
        UNSAFE_componentWillUpdate?(nextProps: Readonly<Pick<IReportsPreviewPage & {
            reportById: import("../../../../helpers/sagaHelpers").LoadDataType<import("../../../../api/ReportsApi").IReportRecord | null>;
            renderedReportById: import("../../../../helpers/sagaHelpers").LoadDataType<import("../../../../api/ReportsApi").IRenderReportResult | null>;
            loadReportById: {
                type: string;
            } & {
                match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
                    payload: string;
                };
            } & ((payload: string) => import("redux").Action<string> & {
                payload: string;
            });
            renderReportById: {
                type: string;
            } & {
                match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
                    payload: import("../../../../api/ReportsApi").IRenderReportsConfig;
                };
            } & ((payload: import("../../../../api/ReportsApi").IRenderReportsConfig) => import("redux").Action<string> & {
                payload: import("../../../../api/ReportsApi").IRenderReportsConfig;
            });
        } & RouteComponentProps<{
            idx: string;
        }, import("react-router").StaticContext, any>, "components" | "history" | "location" | "match" | "staticContext">>, nextState: Readonly<{}>, nextContext: any): void;
    };
    new (props: Pick<IReportsPreviewPage & {
        reportById: import("../../../../helpers/sagaHelpers").LoadDataType<import("../../../../api/ReportsApi").IReportRecord | null>;
        renderedReportById: import("../../../../helpers/sagaHelpers").LoadDataType<import("../../../../api/ReportsApi").IRenderReportResult | null>;
        loadReportById: {
            type: string;
        } & {
            match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
                payload: string;
            };
        } & ((payload: string) => import("redux").Action<string> & {
            payload: string;
        });
        renderReportById: {
            type: string;
        } & {
            match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
                payload: import("../../../../api/ReportsApi").IRenderReportsConfig;
            };
        } & ((payload: import("../../../../api/ReportsApi").IRenderReportsConfig) => import("redux").Action<string> & {
            payload: import("../../../../api/ReportsApi").IRenderReportsConfig;
        });
    } & RouteComponentProps<{
        idx: string;
    }, import("react-router").StaticContext, any>, "components" | "history" | "location" | "match" | "staticContext">, context?: any): {
        render(): JSX.Element;
        context: any;
        setState<K extends never>(state: {} | ((prevState: Readonly<{}>, props: Readonly<Pick<IReportsPreviewPage & {
            reportById: import("../../../../helpers/sagaHelpers").LoadDataType<import("../../../../api/ReportsApi").IReportRecord | null>;
            renderedReportById: import("../../../../helpers/sagaHelpers").LoadDataType<import("../../../../api/ReportsApi").IRenderReportResult | null>;
            loadReportById: {
                type: string;
            } & {
                match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
                    payload: string;
                };
            } & ((payload: string) => import("redux").Action<string> & {
                payload: string;
            });
            renderReportById: {
                type: string;
            } & {
                match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
                    payload: import("../../../../api/ReportsApi").IRenderReportsConfig;
                };
            } & ((payload: import("../../../../api/ReportsApi").IRenderReportsConfig) => import("redux").Action<string> & {
                payload: import("../../../../api/ReportsApi").IRenderReportsConfig;
            });
        } & RouteComponentProps<{
            idx: string;
        }, import("react-router").StaticContext, any>, "components" | "history" | "location" | "match" | "staticContext">>) => {} | Pick<{}, K> | null) | Pick<{}, K> | null, callback?: (() => void) | undefined): void;
        forceUpdate(callback?: (() => void) | undefined): void;
        readonly props: Readonly<Pick<IReportsPreviewPage & {
            reportById: import("../../../../helpers/sagaHelpers").LoadDataType<import("../../../../api/ReportsApi").IReportRecord | null>;
            renderedReportById: import("../../../../helpers/sagaHelpers").LoadDataType<import("../../../../api/ReportsApi").IRenderReportResult | null>;
            loadReportById: {
                type: string;
            } & {
                match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
                    payload: string;
                };
            } & ((payload: string) => import("redux").Action<string> & {
                payload: string;
            });
            renderReportById: {
                type: string;
            } & {
                match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
                    payload: import("../../../../api/ReportsApi").IRenderReportsConfig;
                };
            } & ((payload: import("../../../../api/ReportsApi").IRenderReportsConfig) => import("redux").Action<string> & {
                payload: import("../../../../api/ReportsApi").IRenderReportsConfig;
            });
        } & RouteComponentProps<{
            idx: string;
        }, import("react-router").StaticContext, any>, "components" | "history" | "location" | "match" | "staticContext">> & Readonly<{
            children?: React.ReactNode;
        }>;
        state: Readonly<{}>;
        refs: {
            [key: string]: React.ReactInstance;
        };
        componentDidMount?(): void;
        shouldComponentUpdate?(nextProps: Readonly<Pick<IReportsPreviewPage & {
            reportById: import("../../../../helpers/sagaHelpers").LoadDataType<import("../../../../api/ReportsApi").IReportRecord | null>;
            renderedReportById: import("../../../../helpers/sagaHelpers").LoadDataType<import("../../../../api/ReportsApi").IRenderReportResult | null>;
            loadReportById: {
                type: string;
            } & {
                match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
                    payload: string;
                };
            } & ((payload: string) => import("redux").Action<string> & {
                payload: string;
            });
            renderReportById: {
                type: string;
            } & {
                match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
                    payload: import("../../../../api/ReportsApi").IRenderReportsConfig;
                };
            } & ((payload: import("../../../../api/ReportsApi").IRenderReportsConfig) => import("redux").Action<string> & {
                payload: import("../../../../api/ReportsApi").IRenderReportsConfig;
            });
        } & RouteComponentProps<{
            idx: string;
        }, import("react-router").StaticContext, any>, "components" | "history" | "location" | "match" | "staticContext">>, nextState: Readonly<{}>, nextContext: any): boolean;
        componentWillUnmount?(): void;
        componentDidCatch?(error: Error, errorInfo: React.ErrorInfo): void;
        getSnapshotBeforeUpdate?(prevProps: Readonly<Pick<IReportsPreviewPage & {
            reportById: import("../../../../helpers/sagaHelpers").LoadDataType<import("../../../../api/ReportsApi").IReportRecord | null>;
            renderedReportById: import("../../../../helpers/sagaHelpers").LoadDataType<import("../../../../api/ReportsApi").IRenderReportResult | null>;
            loadReportById: {
                type: string;
            } & {
                match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
                    payload: string;
                };
            } & ((payload: string) => import("redux").Action<string> & {
                payload: string;
            });
            renderReportById: {
                type: string;
            } & {
                match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
                    payload: import("../../../../api/ReportsApi").IRenderReportsConfig;
                };
            } & ((payload: import("../../../../api/ReportsApi").IRenderReportsConfig) => import("redux").Action<string> & {
                payload: import("../../../../api/ReportsApi").IRenderReportsConfig;
            });
        } & RouteComponentProps<{
            idx: string;
        }, import("react-router").StaticContext, any>, "components" | "history" | "location" | "match" | "staticContext">>, prevState: Readonly<{}>): any;
        componentDidUpdate?(prevProps: Readonly<Pick<IReportsPreviewPage & {
            reportById: import("../../../../helpers/sagaHelpers").LoadDataType<import("../../../../api/ReportsApi").IReportRecord | null>;
            renderedReportById: import("../../../../helpers/sagaHelpers").LoadDataType<import("../../../../api/ReportsApi").IRenderReportResult | null>;
            loadReportById: {
                type: string;
            } & {
                match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
                    payload: string;
                };
            } & ((payload: string) => import("redux").Action<string> & {
                payload: string;
            });
            renderReportById: {
                type: string;
            } & {
                match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
                    payload: import("../../../../api/ReportsApi").IRenderReportsConfig;
                };
            } & ((payload: import("../../../../api/ReportsApi").IRenderReportsConfig) => import("redux").Action<string> & {
                payload: import("../../../../api/ReportsApi").IRenderReportsConfig;
            });
        } & RouteComponentProps<{
            idx: string;
        }, import("react-router").StaticContext, any>, "components" | "history" | "location" | "match" | "staticContext">>, prevState: Readonly<{}>, snapshot?: any): void;
        componentWillMount?(): void;
        UNSAFE_componentWillMount?(): void;
        componentWillReceiveProps?(nextProps: Readonly<Pick<IReportsPreviewPage & {
            reportById: import("../../../../helpers/sagaHelpers").LoadDataType<import("../../../../api/ReportsApi").IReportRecord | null>;
            renderedReportById: import("../../../../helpers/sagaHelpers").LoadDataType<import("../../../../api/ReportsApi").IRenderReportResult | null>;
            loadReportById: {
                type: string;
            } & {
                match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
                    payload: string;
                };
            } & ((payload: string) => import("redux").Action<string> & {
                payload: string;
            });
            renderReportById: {
                type: string;
            } & {
                match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
                    payload: import("../../../../api/ReportsApi").IRenderReportsConfig;
                };
            } & ((payload: import("../../../../api/ReportsApi").IRenderReportsConfig) => import("redux").Action<string> & {
                payload: import("../../../../api/ReportsApi").IRenderReportsConfig;
            });
        } & RouteComponentProps<{
            idx: string;
        }, import("react-router").StaticContext, any>, "components" | "history" | "location" | "match" | "staticContext">>, nextContext: any): void;
        UNSAFE_componentWillReceiveProps?(nextProps: Readonly<Pick<IReportsPreviewPage & {
            reportById: import("../../../../helpers/sagaHelpers").LoadDataType<import("../../../../api/ReportsApi").IReportRecord | null>;
            renderedReportById: import("../../../../helpers/sagaHelpers").LoadDataType<import("../../../../api/ReportsApi").IRenderReportResult | null>;
            loadReportById: {
                type: string;
            } & {
                match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
                    payload: string;
                };
            } & ((payload: string) => import("redux").Action<string> & {
                payload: string;
            });
            renderReportById: {
                type: string;
            } & {
                match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
                    payload: import("../../../../api/ReportsApi").IRenderReportsConfig;
                };
            } & ((payload: import("../../../../api/ReportsApi").IRenderReportsConfig) => import("redux").Action<string> & {
                payload: import("../../../../api/ReportsApi").IRenderReportsConfig;
            });
        } & RouteComponentProps<{
            idx: string;
        }, import("react-router").StaticContext, any>, "components" | "history" | "location" | "match" | "staticContext">>, nextContext: any): void;
        componentWillUpdate?(nextProps: Readonly<Pick<IReportsPreviewPage & {
            reportById: import("../../../../helpers/sagaHelpers").LoadDataType<import("../../../../api/ReportsApi").IReportRecord | null>;
            renderedReportById: import("../../../../helpers/sagaHelpers").LoadDataType<import("../../../../api/ReportsApi").IRenderReportResult | null>;
            loadReportById: {
                type: string;
            } & {
                match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
                    payload: string;
                };
            } & ((payload: string) => import("redux").Action<string> & {
                payload: string;
            });
            renderReportById: {
                type: string;
            } & {
                match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
                    payload: import("../../../../api/ReportsApi").IRenderReportsConfig;
                };
            } & ((payload: import("../../../../api/ReportsApi").IRenderReportsConfig) => import("redux").Action<string> & {
                payload: import("../../../../api/ReportsApi").IRenderReportsConfig;
            });
        } & RouteComponentProps<{
            idx: string;
        }, import("react-router").StaticContext, any>, "components" | "history" | "location" | "match" | "staticContext">>, nextState: Readonly<{}>, nextContext: any): void;
        UNSAFE_componentWillUpdate?(nextProps: Readonly<Pick<IReportsPreviewPage & {
            reportById: import("../../../../helpers/sagaHelpers").LoadDataType<import("../../../../api/ReportsApi").IReportRecord | null>;
            renderedReportById: import("../../../../helpers/sagaHelpers").LoadDataType<import("../../../../api/ReportsApi").IRenderReportResult | null>;
            loadReportById: {
                type: string;
            } & {
                match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
                    payload: string;
                };
            } & ((payload: string) => import("redux").Action<string> & {
                payload: string;
            });
            renderReportById: {
                type: string;
            } & {
                match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
                    payload: import("../../../../api/ReportsApi").IRenderReportsConfig;
                };
            } & ((payload: import("../../../../api/ReportsApi").IRenderReportsConfig) => import("redux").Action<string> & {
                payload: import("../../../../api/ReportsApi").IRenderReportsConfig;
            });
        } & RouteComponentProps<{
            idx: string;
        }, import("react-router").StaticContext, any>, "components" | "history" | "location" | "match" | "staticContext">>, nextState: Readonly<{}>, nextContext: any): void;
    };
    displayName: string;
    contextType?: React.Context<any> | undefined;
}>;
export {};
//# sourceMappingURL=ReportsPreviewPage.d.ts.map