import { ILoadReportsConfig, IRenderReportResult, IRenderReportsConfig, IReportRecord, ISendReportConfig, IUpdateReportsConfig } from '../../../api/ReportsApi';
import { CommonPluginState, LoadDataType } from '../../../helpers/sagaHelpers';
export interface ReportState extends CommonPluginState {
    reports: LoadDataType<IReportRecord[]>;
    reportById: LoadDataType<IReportRecord | null>;
    renderedReportById: LoadDataType<IRenderReportResult | null>;
    updatingReportById: LoadDataType<string | null>;
    generatingReportById: LoadDataType;
    sendingReportById: LoadDataType;
}
declare const initialState: ReportState;
declare const reducer: import("redux").Reducer<ReportState, import("redux").AnyAction>;
declare const actions: {
    loadReports: {
        type: string;
    } & {
        match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
            payload: ILoadReportsConfig;
        };
    } & ((payload?: ILoadReportsConfig | undefined) => import("redux").Action<string> & {
        payload: ILoadReportsConfig;
    });
    loadReportById: {
        type: string;
    } & {
        match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
            payload: string;
        };
    } & ((payload: string) => import("redux").Action<string> & {
        payload: string;
    });
    renderReportById: {
        type: string;
    } & {
        match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
            payload: IRenderReportsConfig;
        };
    } & ((payload: IRenderReportsConfig) => import("redux").Action<string> & {
        payload: IRenderReportsConfig;
    });
    debounceRenderReportById: {
        type: string;
    } & {
        match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
            payload: IRenderReportsConfig;
        };
    } & ((payload: IRenderReportsConfig) => import("redux").Action<string> & {
        payload: IRenderReportsConfig;
    });
    updateReportById: {
        type: string;
    } & {
        match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
            payload: IUpdateReportsConfig;
        };
    } & ((payload: IUpdateReportsConfig) => import("redux").Action<string> & {
        payload: IUpdateReportsConfig;
    });
    generateReportById: {
        type: string;
    } & {
        match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
            payload: IRenderReportsConfig;
        };
    } & ((payload: IRenderReportsConfig) => import("redux").Action<string> & {
        payload: IRenderReportsConfig;
    });
    sendReportById: {
        type: string;
    } & {
        match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
            payload: ISendReportConfig;
        };
    } & ((payload: ISendReportConfig) => import("redux").Action<string> & {
        payload: ISendReportConfig;
    });
    setReports: {
        type: string;
    } & {
        match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
            payload: IReportRecord[];
        };
    } & ((payload: IReportRecord[]) => import("redux").Action<string> & {
        payload: IReportRecord[];
    });
    setReportById: {
        type: string;
    } & {
        match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
            payload: IReportRecord;
        };
    } & ((payload: IReportRecord) => import("redux").Action<string> & {
        payload: IReportRecord;
    });
    setRenderReportById: {
        type: string;
    } & {
        match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
            payload: IRenderReportResult;
        };
    } & ((payload: IRenderReportResult) => import("redux").Action<string> & {
        payload: IRenderReportResult;
    });
    setContext: {
        type: string;
    } & {
        match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
            payload: import("../../../providers/context").ContextOptions | null;
        };
    } & (<PT extends import("../../../providers/context").ContextOptions | null>(payload: PT) => import("redux").Action<string> & {
        payload: PT;
    });
    setFailed: {
        type: string;
    } & {
        match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
            payload: import("../../../helpers/sagaHelpers").LoadingTypes<ReportState>;
        };
    } & ((payload: import("../../../helpers/sagaHelpers").LoadingTypes<ReportState>) => import("redux").Action<string> & {
        payload: import("../../../helpers/sagaHelpers").LoadingTypes<ReportState>;
    });
    setLoading: {
        type: string;
    } & {
        match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
            payload: import("../../../helpers/sagaHelpers").LoadingTypes<ReportState>;
        };
    } & ((payload: import("../../../helpers/sagaHelpers").LoadingTypes<ReportState>) => import("redux").Action<string> & {
        payload: import("../../../helpers/sagaHelpers").LoadingTypes<ReportState>;
    });
};
export { initialState, reducer, actions, };
//# sourceMappingURL=reducer.d.ts.map