import { ReportState } from './reducer';
import { Dispatch } from 'redux';
import { ReportsApi } from '../../../api';
export declare const allSagaState: ({ context, ...state }: ReportState) => {
    reports: import("../../../helpers/sagaHelpers").LoadDataType<ReportsApi.IReportRecord[]>;
    reportById: import("../../../helpers/sagaHelpers").LoadDataType<ReportsApi.IReportRecord | null>;
    renderedReportById: import("../../../helpers/sagaHelpers").LoadDataType<ReportsApi.IRenderReportResult | null>;
    updatingReportById: import("../../../helpers/sagaHelpers").LoadDataType<string | null>;
    generatingReportById: import("../../../helpers/sagaHelpers").LoadDataType<null>;
    sendingReportById: import("../../../helpers/sagaHelpers").LoadDataType<null>;
};
export declare const sagaState: (state: ReportState) => {
    state: {
        reports: import("../../../helpers/sagaHelpers").LoadDataType<ReportsApi.IReportRecord[]>;
        reportById: import("../../../helpers/sagaHelpers").LoadDataType<ReportsApi.IReportRecord | null>;
        renderedReportById: import("../../../helpers/sagaHelpers").LoadDataType<ReportsApi.IRenderReportResult | null>;
        updatingReportById: import("../../../helpers/sagaHelpers").LoadDataType<string | null>;
        generatingReportById: import("../../../helpers/sagaHelpers").LoadDataType<null>;
        sendingReportById: import("../../../helpers/sagaHelpers").LoadDataType<null>;
    };
};
export declare const allSagaActions: (dispatch: Dispatch<import("redux").AnyAction>) => {
    loadReports: {
        type: string;
    } & {
        match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
            payload: ReportsApi.ILoadReportsConfig;
        };
    } & ((payload?: ReportsApi.ILoadReportsConfig | undefined) => import("redux").Action<string> & {
        payload: ReportsApi.ILoadReportsConfig;
    });
    loadReportById: {
        type: string;
    } & {
        match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
            payload: string;
        };
    } & ((payload: string) => import("redux").Action<string> & {
        payload: string;
    });
    renderReportById: {
        type: string;
    } & {
        match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
            payload: ReportsApi.IRenderReportsConfig;
        };
    } & ((payload: ReportsApi.IRenderReportsConfig) => import("redux").Action<string> & {
        payload: ReportsApi.IRenderReportsConfig;
    });
    debounceRenderReportById: {
        type: string;
    } & {
        match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
            payload: ReportsApi.IRenderReportsConfig;
        };
    } & ((payload: ReportsApi.IRenderReportsConfig) => import("redux").Action<string> & {
        payload: ReportsApi.IRenderReportsConfig;
    });
    updateReportById: {
        type: string;
    } & {
        match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
            payload: ReportsApi.IUpdateReportsConfig;
        };
    } & ((payload: ReportsApi.IUpdateReportsConfig) => import("redux").Action<string> & {
        payload: ReportsApi.IUpdateReportsConfig;
    });
    generateReportById: {
        type: string;
    } & {
        match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
            payload: ReportsApi.IRenderReportsConfig;
        };
    } & ((payload: ReportsApi.IRenderReportsConfig) => import("redux").Action<string> & {
        payload: ReportsApi.IRenderReportsConfig;
    });
    sendReportById: {
        type: string;
    } & {
        match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
            payload: ReportsApi.ISendReportConfig;
        };
    } & ((payload: ReportsApi.ISendReportConfig) => import("redux").Action<string> & {
        payload: ReportsApi.ISendReportConfig;
    });
    setReports: {
        type: string;
    } & {
        match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
            payload: ReportsApi.IReportRecord[];
        };
    } & ((payload: ReportsApi.IReportRecord[]) => import("redux").Action<string> & {
        payload: ReportsApi.IReportRecord[];
    });
    setReportById: {
        type: string;
    } & {
        match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
            payload: ReportsApi.IReportRecord;
        };
    } & ((payload: ReportsApi.IReportRecord) => import("redux").Action<string> & {
        payload: ReportsApi.IReportRecord;
    });
    setRenderReportById: {
        type: string;
    } & {
        match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
            payload: ReportsApi.IRenderReportResult;
        };
    } & ((payload: ReportsApi.IRenderReportResult) => import("redux").Action<string> & {
        payload: ReportsApi.IRenderReportResult;
    });
    setContext: {
        type: string;
    } & {
        match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
            payload: import("../../../providers/context").ContextOptions | null;
        };
    } & (<PT extends import("../../../providers/context").ContextOptions | null>(payload: PT) => import("redux").Action<string> & {
        payload: PT;
    });
    setFailed: {
        type: string;
    } & {
        match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
            payload: import("../../../helpers/sagaHelpers").LoadingTypes<ReportState>;
        };
    } & ((payload: import("../../../helpers/sagaHelpers").LoadingTypes<ReportState>) => import("redux").Action<string> & {
        payload: import("../../../helpers/sagaHelpers").LoadingTypes<ReportState>;
    });
    setLoading: {
        type: string;
    } & {
        match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
            payload: import("../../../helpers/sagaHelpers").LoadingTypes<ReportState>;
        };
    } & ((payload: import("../../../helpers/sagaHelpers").LoadingTypes<ReportState>) => import("redux").Action<string> & {
        payload: import("../../../helpers/sagaHelpers").LoadingTypes<ReportState>;
    });
};
export declare const sagaActions: (dispatch: Dispatch<import("redux").AnyAction>) => {
    actions: {
        loadReports: {
            type: string;
        } & {
            match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
                payload: ReportsApi.ILoadReportsConfig;
            };
        } & ((payload?: ReportsApi.ILoadReportsConfig | undefined) => import("redux").Action<string> & {
            payload: ReportsApi.ILoadReportsConfig;
        });
        loadReportById: {
            type: string;
        } & {
            match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
                payload: string;
            };
        } & ((payload: string) => import("redux").Action<string> & {
            payload: string;
        });
        renderReportById: {
            type: string;
        } & {
            match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
                payload: ReportsApi.IRenderReportsConfig;
            };
        } & ((payload: ReportsApi.IRenderReportsConfig) => import("redux").Action<string> & {
            payload: ReportsApi.IRenderReportsConfig;
        });
        debounceRenderReportById: {
            type: string;
        } & {
            match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
                payload: ReportsApi.IRenderReportsConfig;
            };
        } & ((payload: ReportsApi.IRenderReportsConfig) => import("redux").Action<string> & {
            payload: ReportsApi.IRenderReportsConfig;
        });
        updateReportById: {
            type: string;
        } & {
            match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
                payload: ReportsApi.IUpdateReportsConfig;
            };
        } & ((payload: ReportsApi.IUpdateReportsConfig) => import("redux").Action<string> & {
            payload: ReportsApi.IUpdateReportsConfig;
        });
        generateReportById: {
            type: string;
        } & {
            match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
                payload: ReportsApi.IRenderReportsConfig;
            };
        } & ((payload: ReportsApi.IRenderReportsConfig) => import("redux").Action<string> & {
            payload: ReportsApi.IRenderReportsConfig;
        });
        sendReportById: {
            type: string;
        } & {
            match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
                payload: ReportsApi.ISendReportConfig;
            };
        } & ((payload: ReportsApi.ISendReportConfig) => import("redux").Action<string> & {
            payload: ReportsApi.ISendReportConfig;
        });
        setReports: {
            type: string;
        } & {
            match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
                payload: ReportsApi.IReportRecord[];
            };
        } & ((payload: ReportsApi.IReportRecord[]) => import("redux").Action<string> & {
            payload: ReportsApi.IReportRecord[];
        });
        setReportById: {
            type: string;
        } & {
            match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
                payload: ReportsApi.IReportRecord;
            };
        } & ((payload: ReportsApi.IReportRecord) => import("redux").Action<string> & {
            payload: ReportsApi.IReportRecord;
        });
        setRenderReportById: {
            type: string;
        } & {
            match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
                payload: ReportsApi.IRenderReportResult;
            };
        } & ((payload: ReportsApi.IRenderReportResult) => import("redux").Action<string> & {
            payload: ReportsApi.IRenderReportResult;
        });
        setContext: {
            type: string;
        } & {
            match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
                payload: import("../../../providers/context").ContextOptions | null;
            };
        } & (<PT extends import("../../../providers/context").ContextOptions | null>(payload: PT) => import("redux").Action<string> & {
            payload: PT;
        });
        setFailed: {
            type: string;
        } & {
            match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
                payload: import("../../../helpers/sagaHelpers").LoadingTypes<ReportState>;
            };
        } & ((payload: import("../../../helpers/sagaHelpers").LoadingTypes<ReportState>) => import("redux").Action<string> & {
            payload: import("../../../helpers/sagaHelpers").LoadingTypes<ReportState>;
        });
        setLoading: {
            type: string;
        } & {
            match(action: import("redux").Action<unknown>): action is import("redux").Action<string> & {
                payload: import("../../../helpers/sagaHelpers").LoadingTypes<ReportState>;
            };
        } & ((payload: import("../../../helpers/sagaHelpers").LoadingTypes<ReportState>) => import("redux").Action<string> & {
            payload: import("../../../helpers/sagaHelpers").LoadingTypes<ReportState>;
        });
    };
};
export declare function rootSaga(): Generator<import("redux-saga/effects").ForkEffect<never>, void, unknown>;
//# sourceMappingURL=saga.d.ts.map