import React from 'react';
import { IReportsProvider } from '../plugins/reports';
import { UILibrary } from './FronteggContext';
import { ContextOptions } from './context';
export declare type FronteggPluginNames = 'reports' | 'webhooks';
export declare type FronteggPlugin<K, T> = {
    type: K;
    props?: T;
};
export declare type FronteggPluginTypes = FronteggPlugin<'reports', IReportsProvider>;
export interface IFronteggProvider {
    history: any;
    contextOptions: ContextOptions;
    plugins: FronteggPluginTypes[];
    uiLibrary: UILibrary;
}
export declare class FronteggProvider extends React.Component<IFronteggProvider> {
    static defaultProps: {
        plugins: never[];
        uiLibrary: string;
        routes: {};
    };
    render(): JSX.Element;
}
//# sourceMappingURL=FronteggProvider.d.ts.map